<%@ page import="com.atlassian.jira.action.ActionContextKit" %>
<%--<%@ page import="com.atlassian.jira.security.xsrf.XsrfErrorAction" %>--%>
<%--<%@ page import="com.atlassian.jira.util.EasyList" %>--%>
<%@ page import="com.atlassian.jira.web.action.JiraWebActionSupport" %>
<%@ page import="webwork.action.ActionContext" %>
<%--<%@ page import="java.util.List" %>--%>
<%--<%@ page import="java.util.Map" %>--%>
<%--<%@ page import="com.atlassian.jira.util.collect.MapBuilder" %>--%>
<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>
<html>
<head>
    <meta content="general" name="decorator" />
    <title>Default Layout</title>
</head>
<%
    ActionContextKit.setContext(request,response,request.getContextPath());
    JiraWebActionSupport fakeAction = new JiraWebActionSupport()
    {
//        public Map<String,String> getSelectOptionsMap() {
//            return MapBuilder.newBuilder("opt1","Name1").add("opt2","Name2").toMap();
////        }
//        public List<String> getSelectOptionsList() {
//            return EasyList.build("ListItem1", "ListItem2", "ListItem3");
//        }
    };
    fakeAction.addError("lname", "Error message here");
    ActionContext.getValueStack().pushValue(fakeAction);

%>
<body>
<div id="main-content" style="padding: 1em;">
    <div class="active-area">
        <div class="content">
            <h1>Default Layout</h1>
            <page:applyDecorator id="create-user" name="auiform">
                <page:param name="action"><ww:url value="'secure/MyAction.jspa'" /></page:param>
                <page:param name="submitButtonName">Submit</page:param>
                <%-- This is always html escaped for you inside the template, so please don't escape it yourself to
                avoid double-escaping issues.
                    This is also set to AUI.form.submit.button.text if you don't specify it,
                so please omit it if you want that key to be printed. --%>
                <page:param name="submitButtonText"><ww:text name="'AUI.form.submit.button.text'"/></page:param>
                <%-- This is always html escaped for you inside the template as well, so please don't escape it yourself to
                avoid double-escaping issues.
                    This is also set to AUI.form.cancel.link.text if you don't specify it, so please omit it if you want
                that key to be printed. --%>
                <page:param name="cancelLinkText"><ww:text name="'AUI.form.cancel.link.text'"/></page:param>
                <%-- You need to url escape this value even if it's "safe" so always use <ww:url> for the value of 
                this parameter as shown below. --%>
                <page:param name="cancelLinkURI"><ww:url value="'/browse/HSP-1'" atltoken="false"/></page:param>

                <aui:component template="formHeading.jsp" theme="'aui'">
                    <aui:param name="'text'">Default - Edit State</aui:param>
                </aui:component>

                <page:applyDecorator name="auifieldset">
                    <page:param name="legend">Text Entry</page:param>

                    <page:applyDecorator name="auifieldgroup">
                        <page:param name="description">Default width input.</page:param>
                        <aui:textfield id="'fname'" label="'First Name'" mandatory="true" name="'fname'" theme="'aui'" />
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldgroup">
                        <page:param name="description">Long width input</page:param>
                        <aui:textfield id="'lname'" label="'Last Name'" mandatory="'true'" name="'lname'" size="'long'" theme="'aui'" title="'last name'"/>
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldgroup">
                        <page:param name="description">Medium width input</page:param>
                        <aui:textfield id="'email1'" label="'Email'" name="'email'" size="'medium'" theme="'aui'">
                            <aui:param name="'iconCssClass'">icon-help</aui:param>
                            <aui:param name="'iconURI'">http://example.com</aui:param>
                            <aui:param name="'iconText'">help</aui:param>
                            <aui:param name="'iconTitle'">what's this</aui:param>
                        </aui:textfield>
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldgroup">
                        <aui:password id="'password1'" label="'Password'" name="'new-password'" theme="'aui'" title="'password'" value="'test'" />
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldgroup">
                        <aui:password id="'password2'" label="'Confirm Password'" name="'confirm-password'" theme="'aui'" title="'confirm password'" />
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldgroup">
                        <page:param name="description">Long width input</page:param>
                        <aui:textarea id="'textarea1'" label="'Textarea1'" mandatory="'true'" name="'textarea1'" rows="'10'" size="'long'" theme="'aui'" title="'last name'"/>
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldgroup">
                        <page:param name="description">Long width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width inputLong width input</page:param>
                        <aui:textarea id="'textarea2'" label="'Textarea2'" mandatory="'true'" name="'textarea2'" rows="'10'" size="'long'" theme="'aui'" title="'last name'"/>
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldset">
                        <page:param name="type">group</page:param>
                        <page:param name="legend">Radio list</page:param>
                        <aui:radio id="'gender'" label="''" list="/selectOptionsMap" listKey="'key'" listValue="'value'" name="'gender'" theme="'aui'" />
                    </page:applyDecorator>

                    <page:applyDecorator name="auifieldset">
                        <page:param name="type">group</page:param>
                        <page:param name="legend">Checkbox list</page:param>
                        <page:applyDecorator name="auifieldgroup">
                            <page:param name="type">checkbox</page:param>
                            <aui:checkbox id="'colour-red'" label="'Red'" name="'colour'" fieldValue="'red'" theme="'aui'" />
                        </page:applyDecorator>
                        <page:applyDecorator name="auifieldgroup">
                            <page:param name="type">checkbox</page:param>
                            <aui:checkbox id="'colour-blue'" label="'Blue'" name="'colour'" fieldValue="'blue'" theme="'aui'" />
                        </page:applyDecorator>
                    </page:applyDecorator>
                </page:applyDecorator>

            </page:applyDecorator>
        </div>
    </div>
</div>
</body>
</html>
<%
    ActionContextKit.resetContext();
%>