<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Only Global Admins or Project Admins of all projects associated with selected issues can disable bulk operation mail notifications -->

<ww:if test="/canDisableMailNotifications() == true && /bulkEditBean/hasMailServer == true">
<p>
    <table class="grid formLabel nowrap">
        <tr>
            <td class="formLabel minWidth">
                <input type="checkbox" id="sendBulkNotificationCB" name="sendBulkNotification" value="true" checked></input>
            </td>
            <td class="formLabel">
                <label for="sendBulkNotificationCB">
                    <ww:text name="'bulk.operation.send.mail'"/>
                    <br>
                    <span class="smallgrey"><ww:text name="'bulk.operation.send.mail.desc'"/></span>
                </label>
            </td>
        </tr>
    </table>
</p>
</ww:if>




