<%@ page import="com.atlassian.core.util.HTMLUtils" %>
<%@ page import="com.atlassian.seraph.util.RedirectUtils" %>
<%@ page import="com.atlassian.jira.util.JiraUtils" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<%
    request.setAttribute("loginLink", RedirectUtils.getLinkLoginURL(request));
    request.setAttribute("isPublicMode", JiraUtils.isPublicMode());
%>

<fieldset class="hidden parameters">
    <input type="hidden" title="ajaxTimeout" value="<ww:text name="'common.forms.ajax.timeout'"/>">
    <input type="hidden" title="ajaxUnauthorised" value="<ww:text name="'common.forms.ajax.unauthorised'">
       <ww:param name="'value0'"><a href='<ww:property value="@loginLink"/>'><ww:text name="'login.required.login'"/></a></ww:param></ww:text><ww:if test="@isPublicMode==false"><ww:text name="'common.words.fullstop'"/></ww:if>
       <ww:else><ww:text name="'common.forms.ajax.unauthorised.signup'"><ww:param name="'value0'"><a href='<%= request.getContextPath() %>/secure/Signup!default.jspa'><ww:text name="'common.words.signup'"/></a></ww:param></ww:text>
       </ww:else>
    ">
    <input type="hidden" title="baseURL" value="<%=request.getScheme() + "://" +request.getServerName() + ":" + request.getServerPort() + request.getContextPath()%>">
    <input type="hidden" title="ajaxCommsError" value="<ww:text name="'common.forms.ajax.commserror'"/>">
    <input type="hidden" title="ajaxServerError" value="<ww:text name="'common.forms.ajax.servererror'"/>">
    <input type="hidden" title="ajaxErrorCloseDialog" value="<ww:text name="'common.forms.ajax.error.dialog'"/>">
    <input type="hidden" title="ajaxErrorDialogHeading" value="<ww:text name="'common.forms.ajax.error.dialog.heading'"/>">

    <input type="hidden" title="dirtyMessage" value="<ww:text name="'common.forms.dirty.message'"/>">
    <input type="hidden" title="dirtyDialogMessage" value="<ww:text name="'common.forms.dirty.dialog.message'"/>">
    <input type="hidden" title="keyType" value="<ww:text name="'keyboard.shortcuts.type'"/>">
    <input type="hidden" title="keyThen" value="<ww:text name="'keyboard.shortcuts.then'"/>">
    <input type="hidden" title="dblClickToExpand" value="<ww:text name="'tooltip.dblclick.expand'"/>">
    <input type="hidden" title="actions" value="<ww:text name="'common.words.actions'"/>">
    <input type="hidden" title="removeItem" value="<ww:text name="'admin.common.words.remove'"/>">
    <input type="hidden" title="workflow" value="<ww:text name="'opsbar.more.transitions'"/>">
    <input type="hidden" title="labelNew" value="<ww:text name="'label.new'"/>">
    <input type="hidden" title="enterIssueKey" value="<ww:text name="'linkissue.enter.issue.key'"/>">
    <input type="hidden" title="issueActionsHint" value="<ww:text name="'issueactions.start.typing'"/>">
    <input type="hidden" title="closelink" value="<ww:text name="'admin.common.words.close'"/>">
    <input type="hidden" title="dotOperations" value="<ww:text name="'common.words.operations'"/>">
    <input type="hidden" title="dotLoading" value="<ww:text name="'common.concepts.loading'"/>">
    <input type="hidden" title="frotherSuggestions" value="<ww:text name="'common.words.suggestions'"/>">
    <input type="hidden" title="frotherNomatches" value="<ww:text name="'common.concepts.no.matches'"/>">
    <input type="hidden" title="attachmentsUnknownError" value="<ww:text name="'attachment.error.unknown'"/>">
    <input type="hidden" title="attachmentsXsrfTimeout" value="<ww:text name="'attachment.error.xsrf.expired'"/>">
    <input type="hidden" title="multiselectVersionsError" value="<ww:text name="'jira.ajax.autocomplete.versions.error'"/>">
    <input type="hidden" title="multiselectComponentsError" value="<ww:text name="'jira.ajax.autocomplete.components.error'"/>">
    <input type="hidden" title="multiselectGenericError" value="<ww:text name="'jira.ajax.autocomplete.error'"/>">
</fieldset>
