//AJS.QueryableGroup = AJS.Control.extend({
//
//    init: function (options) {
//        this.groupController = new AJS.Group(options);
//        this.queryController = new AJS.ItemQuery(options.query);
//    },
//
//    _isValidAdd: function (item, ignoreQuery) {
//        return item instanceof AJS.ItemInterface && (ignoreQuery || this.queryController.match(item));
//    },
//
//    query: function () {
//
//        var matches = this.queryController.match(this.groupController.items);
//        this.groupController.removeAll(matches.unmatched);
//
//        if (matches.exactMatched) {
//            this.groupController.focus(matches.exactMatched[0]);
//        }
//    },
//
//    add: function (item, ignoreQuery) {
//        if (this._isValidAdd(item, ignoreQuery)) {
//            this.groupController.add(item);
//        }
//    }
//
//});
//
//AJS.Highlighter = Class.extend({
//
//    init: function (options) {
//        options = options || {};
//        this.matcher = options.matchers || AJS.Highlighter.matchers.startOfWords;
//        this.flags = options.caseSensitive ? "g" : "gi";
//    },
//
//    _escapedValue: function (str) {
//        return RegExp.escape(str);
//    },
//
//    _matcher: function (str) {
//        return this.matcher(this._escapedValue(str));
//    },
//
//    perform: function (str) {
//        var matcher = this._matcher(str);
//        return str.replace(matcher, function (_, prefix, match, suffix) {
//            return document.createTextNode(prefix).nodeValue
//                    + "<strong>" + document.createTextNode(match).nodeValue + "<strong />"
//                    + document.createTextNode(suffix).nodeValue;
//        });
//    }
//
//});
//
//
//AJS.QueryableItem = AJS.ListItem.extend({
//
//    init: function () {
//        this._super();
//        this.highlighter = new AJS.Highlighter();
//    },
//
//    create: function () {
//        if (this.isMatched()) {
//            this.$label = this.render("label", this.highlighter.perform(this.label));
//        } else {
//            this.$label = this.render("label", this.label);
//        }
//    },
//
//    label: function () {
//        return this.label;
//    },
//
//    isMatched: function () {
//        return this.matched;
//    },
//
//    match: function (query) {
//
//        if (query === true) {
//
//            this.matched = true;
//            if (this.$label) {
//                this.$label.html(this.highlighter.perform(this.label));
//            }
//
//            return true;
//        }
//    },
//
//    isExactMatch: function (query) {
//        if (query === true) {
//            return true;
//        }
//    },
//
//    _renders: {
//        label: function (formattedLabel) {
//            return AJS.$("<a href='#' />").html(formattedLabel);
//        }
//    }
//
//});
//
//AJS.Highlighter.matchers ={
//    startOfWords: function (query, flags) {
//        return new RegExp("(^|.*\\s+)(" + query  + ")(.*)", flags);
//    }
//};
//
//
//AJS.ItemQuery = Class.extend(AJS.QueryInterface, {
//
//    init: function (query) {
//        this.query = query;
//    },
//
//    _isValidMatch: function (possibleMatch) {
//        return (possibleMatch instanceof AJS.QueryableItemInteface) && possibleMatch.matches(this.query());
//    },
//
//    matchAll: function (items) {
//
//        var i = 0,
//            name,
//            match,
//            response = {};
//
//        if (AJS.$.isArray(items)) {
//            for (; i < items.length; i++) {
//                match = this.match(items[i]);
//                for (name in match) {
//                    response[name] = response[name] || [];
//                    response[name].push(match[name]);
//                }
//            }
//        }
//    },
//
//    match: function (item) {
//        var response = {};
//        if (this._isValidMatch(item)) {
//            if (item.isExactMatch(this.query())) {
//                response.exactMatched = item;
//            }
//            response.matched = item;
//        } else if (item instanceof AJS.QueryableItemInteface) {
//            response.unmatched = item;
//        } else {
//            response.invalid = item;
//        }
//        return response;
//    }
//
//});
