AJS.whenIType.fromJSON = function (json) {

    function blurTargetField (e) {
        if (e.keyCode === 27 && jQuery(e.target).is(":input")) {
            jQuery(e.target).blur();
        }
    }

    //AJS.keys is defined by the keyboard-shortcut plugin.
    if (json) {
        // blur field when esc is clicked
        jQuery(document).keyup(blurTargetField);

        jQuery(document).bind("iframeAppended", function (e, iframe) {
            jQuery(iframe).load(function () {
                var jQuery;
                if (iframe.contentWindow && iframe.contentWindow.jQuery) {
                    jQuery = iframe.contentWindow.jQuery;
                    jQuery("body").keyup(blurTargetField);
                }
            });
        });
        jQuery.each(json, function() {
            // Flatten this.keys array
            var allKeys = Function.prototype.call.apply(Array.prototype.concat, this.keys);
            AJS.whenIType(allKeys)[this.op](this.param);
        });
    }
};

jQuery(function () {
    if (AJS.keys) {
        AJS.whenIType.fromJSON(AJS.keys.shortcuts);
    }
});
