<%@ taglib uri="webwork" prefix="ww" %>
<ww:if test="(applicationProperties/option('jira.option.issuelinking') == true && linkCollection/displayLinkPanel == true)">
<div class="module toggle-wrap" id="linkingmodule">
    <div class="mod-header">
        <ww:if test="/linkable == true">
        <ul class="ops">
            <li><a id="manage-links-link" href="<%=request.getContextPath()%>/secure/ManageLinks.jspa?id=<ww:property value="id" />" class="icon icon-manage" title="<ww:text name="'viewissue.links.view.more.details'"/>"><span><ww:text name="'viewissue.links.view.more.details'"/></span></a></li>
            <li><a id="add-links-link" href="<ww:url page="/secure/LinkExistingIssue!default.jspa"><ww:param name="'id'" value="../long('id')" /></ww:url>" class="issueaction-link-issue icon icon-add16" title="<ww:text name="'viewissue.links.addlink'"/>"><span><ww:text name="'viewissue.links.addlink'"/></span></a></li>
        </ul>
        </ww:if>
        <h3 class="toggle-title"><ww:text name="'common.concepts.issuelinks'"/></h3>
    </div>
	<div class="mod-content">
        <div class="view-links-wrap">
        <ww:iterator value="linkCollection/linkTypes" status="'itLinkTypeStatus'">
            <ww:if test="/linkCollection/outwardIssues(./name)/empty == false || /linkCollection/inwardIssues(./name)/empty == false">
            <table class="issue-links<ww:if test="@itLinkTypeStatus/last == true"> last</ww:if>" cellpadding="0" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th colspan="2"><ww:property value="./name" /></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td width="50%">
                            <div class="link-wrap">
                                <jsp:include page="/includes/panels/issue/linking/outward.jsp" />
                            </div>
                        </td>
                        <td width="50%">
                            <jsp:include page="/includes/panels/issue/linking/inward.jsp" />
                        </td>
                    </tr>
                </tbody>
            </table>
            </ww:if>
        </ww:iterator>
            </div>
    </div>
</div>
</ww:if>
