<%@ taglib uri="webwork" prefix="ww" %>
<ww:iterator value="permTypes">
	<ww:if test="key == 23">
		<ww:if test="allowGlobalPerms == true">
		<tr bgcolor=#ffffff>
			<td class="colHeaderLink" colspan=2>
				&nbsp;
			</td>
		</tr>
		<tr bgcolor=#f0f0f0>
			<td class="colHeaderLink" colspan=2>
				<ww:component name="'permissions'" template="help.jsp"/>
				<h3 class="formtitle"><ww:text name="'admin.globalpermissions.title'"/></h3>
			</td>
		</tr>
		</ww:if>
		<ww:else>
		<tr bgcolor=#f0f0f0>
			<td class="colHeaderLink" colspan=2>
				<ww:component name="'permissions'" template="help.jsp"/>
				<h3 class="formtitle"><ww:property value="project/string('name')" /> Permissions</h3>
			</td>
		</tr>
		</ww:else>
	</ww:if>
<tr
	<ww:if test="@rowCount/next == 1">
		bgcolor="#ffffff"
	</ww:if>
	<ww:if test = "@rowCount/next == 0"/>
	<ww:if test = "@rowCount/next == 2">
		bgcolor="#fffff0"
	</ww:if>
>
	<td valign=top width=70%>
		<b><ww:property value="text(value)"/></b><br>
		<font size=1><ww:property value="/description(key)" escape="false"/>
        <%-- special case for 'USE' pemission --%>
            <ww:if test="key == 1"><br><ww:text name="'admin.globalpermissions.use.note'">
                <ww:param name="'value0'"><span class="bolded, redText"></ww:param>
                <ww:param name="'value3'"></span></ww:param>
            </ww:text></ww:if>
            <%-- special case for 'ADMIN' or 'SYS_ADMIN' permissions --%>
            <ww:if test="key == 0 || key == 44"><br><ww:text name="'admin.globalpermissions.admins.note'">
               <ww:param name="'value0'"><span class="bolded, redText"></ww:param>
               <ww:param name="'value3'"></span></ww:param>
            </ww:text></ww:if>
        </font>
	</td>
	<td valign=top width=30%>
		<ww:property value="/permissionGroups(key)">
			<ww:if test=". != null && size > 0">
				<ww:iterator value=".">
						<ww:if test="group">
							<ww:property value="group" />
						</ww:if>
						<ww:else>
							Anyone
						</ww:else>

						<font size=1>(<a href="<%= request.getContextPath() %>/secure/admin/user/UserBrowser.jspa?group=<ww:property value="group" />"><ww:text name="'admin.globalpermissions.view.users'"/></a>
						|
						<a id="del_<ww:property value="../key" />_<ww:property value="group" />" href="<ww:url page="GlobalPermissions.jspa">
							<ww:param name="'action'">confirm</ww:param>
							<ww:param name="'permType'" value="../key" />
							<ww:param name="'groupName'" value="group"/><%-- if no group - then don't show it --%>
							<ww:param name="'pid'" value="pid"/>
						</ww:url>"><ww:text name="'common.words.delete'"/></a>)</font><br>
				</ww:iterator>
			</ww:if>
			<ww:else>
			&nbsp; <%-- non breaking space for netscape 4.x's benefit --%>
			</ww:else>
		</ww:property>
	</td>
</tr>
</ww:iterator>
