
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title><ww:text name="'admin.deletelinktype.title'">
	    <ww:param name="'value0'">[<ww:property value="linkType/string('linkname')" />]</ww:param>
	</ww:text></title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.deletelinktype.title'">
        <ww:param name="'value0'"><ww:property value="linkType/string('linkname')" /></ww:param>
    </ww:text></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="description">
		<p><ww:text name="'admin.deletelinktype.confirmation'"/></p>
		<p><ww:text name="'admin.deletelinktype.matching.links'">
		    <ww:param name="'value0'"><b><ww:property value="links/size" /></b></ww:param>
		</ww:text></p>
	</page:param>

    <page:param name="width">100%</page:param>
	<page:param name="action">DeleteLinkType.jspa</page:param>
	<page:param name="submitId">delete_link_type</page:param>
	<page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
	<page:param name="cancelURI">ViewLinkTypes!default.jspa</page:param>

    <ww:if test="links/size > 0">


        <ww:if test="otherLinkTypes/size > 0">
            <tr>
                <td bgcolor="#ffffff">&nbsp;</td>
                <td bgcolor="#ffffff">
                    <input type="radio" name="action" value="swap"
                        <ww:if test="action == 'swap'">
                        checked
                        </ww:if>
                    >
                    <ww:text name="'admin.deletelinktype.swap.current.links.to'"/>:
                    <select name="swapLinkTypeId">
                        <ww:iterator value="otherLinkTypes">
                        <option value="<ww:property value="long('id')" />"
                            <ww:if test="swapLinkTypeId == id">selected</ww:if>
                        >
                            <ww:property value="string('linkname')" />
                        </option>
                        </ww:iterator>
                    </select>
                </td>
            </tr>
            <tr>
                <td bgcolor="#ffffff">&nbsp;</td>
                <td bgcolor="#ffffff">
                    <input type="radio" name="action" value="remove"
                        <ww:if test="action == 'remove'">
                        checked
                        </ww:if>
                    >
                    <ww:text name="'admin.deletelinktype.remove.all.links'"/>
                </td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td bgcolor="#ffffff">&nbsp;</td>
                <td bgcolor="#ffffff">
                    <input type="hidden" name="action" value="remove">
                    <ww:text name="'admin.deletelinktype.no.other.link.types'"/>
                </td>
            </tr>
        </ww:else>
    </ww:if>
    <ww:else>
        <tr>
            <td bgcolor="#ffffff">&nbsp;</td>
            <td bgcolor="#ffffff">
                <input type="hidden" name="action" value="remove" />
                <ww:text name="'admin.deletelinktype.no.link.types'">
                    <ww:param name="'value0'"><b></ww:param>
                    <ww:param name="'value1'"></b></ww:param>
                </ww:text>
            </td>
        </tr>
    </ww:else>


	<ui:component name="'id'" template="hidden.jsp" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>
