<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.editusergroups.edit.user.groups'"/></title>
</head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">EditUserGroups.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.editusergroups.edit.user.groups'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <ww:text name="'admin.editusergroups.page.description'"/>
    </page:param>
    <tr>
        <td bgcolor=#ffffff colspan=2 align=center>
            <b><a id="return_link" href="<ww:url page="ViewUser.jspa"><ww:param name="'name'" value="name"/></ww:url>">&lt;&lt;
                <ww:text name="'admin.editusergroups.return.to.viewing.user'">
                    <ww:param name="'value0'">'<ww:property value="user/fullName"/>'</ww:param>
                </ww:text></a></b>
        </td>
    </tr>
    <tr>
        <td bgcolor=#fffff0 align=center>
            <b><ww:text name="'admin.editusergroups.available.groups'"/></b>
        </td>

        <td bgcolor=#fffff0 align=center>
            <b><ww:text name="'common.words.groups'"/></b>
        </td>
    </tr>
    <tr>
        <td bgcolor=#ffffff align=center valign=top>
            <ww:if test="/nonMemberGroups != null && /nonMemberGroups/size > 0">
                <input name="join" type="submit" value="<ww:text name="'admin.editusergroups.join'"/> &gt;&gt;"><br>
                <select name="groupsToJoin" multiple size="<ww:property value="/nonMemberGroups/size" />">
                    <ww:iterator value="/nonMemberGroups">
                        <option value="<ww:property value="." />"><ww:property value="."/></option>
                    </ww:iterator>
                </select>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.editusergroups.user.is.a.member.of.all'"/>
            </ww:else>
        </td>
        <td bgcolor=#ffffff align=center valign=top>
            <ww:if test="memberGroups != null && memberGroups/size > 0">
                <input name="leave" type="submit" value="&lt;&lt; <ww:text name="'admin.editusergroups.leave'"/>"><br>
                <select name="groupsToLeave" multiple size="<ww:property value="memberGroups/size" />">
                    <ww:iterator value="memberGroups">
                        <option value="<ww:property value="." />"><ww:property value="."/></option>
                    </ww:iterator>
                </select>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.editusergroups.user.is.a.member.of.no.groups'"/>
            </ww:else>
        </td>
    </tr>

    <ui:component name="'name'" template="hidden.jsp" theme="'single'"/>
</page:applyDecorator>
</body>
</html>
