<%@ page import="java.util.*,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.ManagerFactory"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.menu.usersandgroups.group.browser'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.menu.usersandgroups.group.browser'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">groups</page:param>    

    <p>
	<ww:text name="'admin.usersandgroups.group.browser.description.1'"/> <ww:if test="/externalUserManagementEnabled == false"><ww:text name="'admin.usersandgroups.group.browser.description.2'"/> <p><ww:text name="'admin.usersandgroups.group.browser.description.3'"/></p></ww:if>
	</p>

    <ww:if test="/externalUserManagementEnabled == false">
        <ul class="square">
            <li><b><a id="bulk_edit_groups" href="BulkEditUserGroups!default.jspa"><ww:text name="'admin.bulkeditgroups.title'"/></a></b></li>
        </ul>
    </ww:if>
</page:applyDecorator>

<p>

	<table cellspacing="0" cellpadding="0" border="0" width="100%"><tr><td valign="top">

	<p>
    <ww:text name="'admin.usersandgroups.displaying.x.to.y.of.z'">
	    <ww:param name="'value0'"><b><ww:property value="niceStart" /></b></ww:param>
	    <ww:param name="'value1'"><b><ww:property value="niceEnd" /></b></ww:param>
        <ww:param name="'value2'"><b><ww:property value="browsableItems/size" /></b></ww:param>
    </ww:text>
    </p>

<table id="group_browser_table" class="grid" border="0" width="100%">
	<tr bgcolor="#f0f0f0">
		<th width="40%">
			<ww:text name="'admin.usersandgroups.group.name'"/>
		</th>
		<th width="20%">
			<ww:text name="'admin.common.words.users'"/>
		</th>
        <th width="30%">
			<ww:text name="'admin.menu.schemes.permission.schemes'"/>
		</th>
        <ww:if test="/externalUserManagementEnabled == false">
            <th width="10%" nowrap>
                <ww:text name="'common.words.operations'"/>
            </th>
        </ww:if>
    </tr>

	<ww:iterator value="currentPage" status="'status'">
	<tr <ww:if test="@status/modulus(2) == 0">bgcolor="#fffff0"</ww:if>
            <ww:else>bgcolor="#ffffff"</ww:else>>
		<td valign="top"><a href="<ww:url page="ViewGroup.jspa"><ww:param name="'name'" value="name"/></ww:url>"><ww:property value="name"/></a></td>
		<td valign="top"><ww:property value="users/size"/>
		<font size="1">(<a href="<ww:url value="'UserBrowser.jspa'" ><ww:param name="'group'" value="name" /><ww:param name="'emailFilter'" value="''" /></ww:url>"><ww:text name="'common.words.view'"/></a>)</font></td>
        <td>
            <ww:iterator value="/permissionSchemes(./name)">
                <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                <a href="<%= request.getContextPath() %>/secure/admin/EditPermissions!default.jspa?schemeId=<ww:property value="./long('id')"/>"><ww:property value="./string('name')" /></a><br>
            </ww:iterator>
        </td>
        <ww:if test="/externalUserManagementEnabled == false && /userAbleToDeleteGroup(name) == true">
            <td valign="top" nowrap>
                <a id="del_<ww:property value="name"/>" href="<ww:url value="'DeleteGroup!default.jspa'" ><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'common.words.delete'"/></a> |
                <a id="edit_members_of_<ww:property value="name"/>" href="<ww:url value="'BulkEditUserGroups!default.jspa'" ><ww:param name="'selectedGroupsStr'" value="name" /></ww:url>"><ww:text name="'admin.usersandgroups.edit.members'"/></a>
            </td>
        </ww:if>
    </tr>
	</ww:iterator>
</table>

<p align="center">
    <ww:if test="filter/start > 0">
		<a href="<ww:url page="GroupBrowser.jspa"><ww:param name="'start'" value="filter/previousStart" /><ww:param name="'nameFilter'" value="filter/nameFilter"/></ww:url>">&lt&lt; <ww:text name="'common.forms.previous'"/></a>
	</ww:if>

	<ww:if test="filter/end < browsableItems/size">
		<a href="<ww:url page="GroupBrowser.jspa"><ww:param name="'start'" value="filter/nextStart" /><ww:param name="'nameFilter'" value="filter/nameFilter"/></ww:url>"><ww:text name="'common.forms.next'"/> &gt;&gt;</a>
	</ww:if>
</p>

</td>

<td>&nbsp;&nbsp;&nbsp;</td>

<td width="250" valign="top" bgcolor="#ffffff">
    <ww:if test="/externalUserManagementEnabled == false">
        <form action="GroupBrowser!add.jspa" method="post">
            <ww:component name="'atl_token'" value="/xsrfToken" template="hidden.jsp"/>

            <table class="grid" id="add_group" border="0" width="100%" bgcolor="#666666">
                <tr>
                    <td bgcolor="#f0f0f0">
                        <h3 class="formtitle"><ww:text name="'admin.usersandgroups.add.group'"/></h3>
                    </td>
                </tr>

                <ui:textfield label="text('common.words.name')" labelposition="'top'" name="'addName'" size="20" />

                <tr>
                    <td bgcolor="#f0f0f0" align="center">
                        <input type="submit" name="add_group" value="<ww:text name="'admin.usersandgroups.add.group'"/>">
                    </td>
                </tr>
            </table>
        </form>
    </ww:if>

    <form action="GroupBrowser.jspa" method="post">
	<table class="grid" border="0" width="100%" bgcolor="#666666">
	<tr>
		<td bgcolor="#f0f0f0">
			<h3 class="formtitle"><ww:text name="'admin.usersandgroups.filter.group'"/></h3>

			<font size="1">
				(<a href="GroupBrowser.jspa?nameFilter="><ww:text name="'admin.usersandgroups.clear.filter'"/></a>)
			</font>
		</td>
	</tr>

	<ww:property value="filter">
		<ui:select label="text('admin.usersandgroups.groups.per.page')" labelposition="'top'" name="'max'"
			list="/maxValues" listKey="'.'" listValue="'.'" >
			<ui:param name="'headerrow'" value="''" />
		</ui:select>

		<ui:textfield label="text('admin.usersandgroups.name.contains')" labelposition="'top'" name="'nameFilter'" size="20" />
	</ww:property>

	<tr>
	<td bgcolor="#f0f0f0" align="center">
		<input type="submit" value="<ww:text name="'admin.usersandgroups.filter'"/>">
	</td>
	</tr>
	</table>
	</form>


</td>

</tr>
</table>

</body>
</html>
