<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.screens.view.screens'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuefields.screens.view.screens'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">fieldscreens</page:param>
    <p>
        <ww:text name="'admin.issuefields.screens.the.table.below'"/>
    </p>
    <p>
        <ww:text name="'admin.issuefields.screens.description'"/>
        <ww:if test="/standard == false">
            <ul>
                <li>
                    <ww:text name="'admin.issuefields.screens.to.choose.screens'">
                        <ww:param name="'value0'"><b></ww:param>
                        <ww:param name="'value1'"></b></ww:param>
                        <ww:param name="'value2'"><b></ww:param>
                        <ww:param name="'value3'"></b></ww:param>
                        <ww:param name="'value4'"><a href="ViewFieldScreenSchemes.jspa"></ww:param>
                        <ww:param name="'value5'"></a></ww:param>
                    </ww:text>
                </li>
                <li>
                    <ww:text name="'admin.issuefields.screens.to.select.screens'">
                        <ww:param name="'value0'"><b></ww:param>
                        <ww:param name="'value1'"></b></ww:param>
                        <ww:param name="'value2'"><a href="ListWorkflows.jspa"></ww:param>
                        <ww:param name="'value3'"></a></ww:param>
                    </ww:text>
                </li>
            </ul>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.issuefields.screens.to.choose.screens.that.are.displayed'"/>
            <ww:if test="/standard == true">
                the <a href="ConfigureFieldScreenScheme.jspa"><ww:text name="'admin.menu.issuefields.screen.scheme'"/></a>.
            </ww:if>
            <ww:else>
                <a href="ViewFieldScreenSchemes.jspa"><ww:text name="'admin.menu.issuefields.screen.schemes'"/></a>.
            </ww:else>
        </ww:else>
    </p>
    <p>
        <ww:if test="/standard == false">
            <ww:text name="'admin.issuefields.screens.note1'">
                <ww:param name="'value0'"><span class="note"></ww:param>
                <ww:param name="'value1'"></span></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.issuefields.screens.note2'">
                <ww:param name="'value0'"><span class="warning"></ww:param>
                <ww:param name="'value1'"></span></ww:param>
                <ww:param name="'value2'"><font color="darkred"><b></ww:param>
                <ww:param name="'value3'"></b></font></ww:param>
                <ww:param name="'value4'"><font color="darkgreen"><b></ww:param>
                <ww:param name="'value5'"></b></font></ww:param>
            </ww:text>
        </ww:else>
    </p>
</page:applyDecorator>
<p>
    <table class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="15%">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink" width="30%">
                <b><ww:text name="'common.words.description'"/></b>
            </td>
            <ww:if test="/standard == false">
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'admin.menu.issuefields.screen.schemes'"/></b>
            </td>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'admin.menu.globalsettings.workflows'"/></b>
            </td>
            </ww:if>
            <ww:else>
                <td class="colHeaderLink" width="20%">
                    <b><ww:text name="'admin.common.phrases.active.inactive'"/></b>
                </td>
            </ww:else>
            <td class="colHeaderLink" width="15%" align="left">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:if test="/fieldScreens/empty == false">
            <ww:iterator value="/fieldScreens" status="'status'">
            <tr bgcolor="#<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>">
                    <td valign=top>
                        <ww:property value="./name" />
                    </td>
                    <td valign=top>
                        <ww:property value="./description" />
                    </td>
                    <ww:if test="/standard == false">
                    <td valign=top>
                        <ww:iterator value="/fieldScreenSchemes(.)" status="'schemeStatus'">
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                            <a href="<%= request.getContextPath() %>/secure/admin/ConfigureFieldScreenScheme.jspa?id=<ww:property value="./id" />"><ww:property value="./name" /></a>
                            <ww:if test="@schemeStatus/last == false"><br></ww:if>
                        </ww:iterator>
                    </td>
                    <td valign=top>
                        <ww:property value="/workflowTransitionViews(.)">
                            <ww:if test=". && ./empty == false">
                                <ww:iterator value="." status="'workflowTransitionStatus'">
                                    <ww:if test="./hasSteps == true || ./globalAction == true">
                                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                                        <%-- If the action is global then no need to pass the step id in teh link --%>
                                        <ww:if test="./globalAction == true">
                                            <a href="<ww:url page="ViewWorkflowTransition.jspa"><ww:param name="'workflowMode'" value="./workflowMode" /><ww:param name="'workflowName'" value="./workflowName" /><ww:param name="'workflowTransition'" value="./transitionId" /></ww:url>"><ww:property value="./workflowName" /></a>
                                        </ww:if>
                                        <ww:else>
                                            <ww:property value="./firstStep" id="step" />
                                            <a href="<ww:url page="ViewWorkflowTransition.jspa"><ww:param name="'workflowMode'" value="./workflowMode" /><ww:param name="'workflowName'" value="./workflowName" /><ww:param name="'workflowStep'" value="@step/id" /><ww:param name="'workflowTransition'" value="./transitionId" /></ww:url>"><ww:property value="./workflowName" /></a>
                                        </ww:else>
                                        <span class="small">(<ww:property value="./transitionName" />)</span>
                                        <ww:if test="@workflowTransitionStatus/last == false"><br></ww:if>
                                    </ww:if>
                                </ww:iterator>
                            </ww:if>
                            <ww:else>
                                &nbsp;
                            </ww:else>
                        </ww:property>
                    </td>
                    </ww:if>
                    <ww:else>
                        <td valign=top>
                            <ww:if test="/deletable(.) == false"><font color="darkgreen"><b><ww:text name="'admin.common.words.active'"/></b></font></ww:if>
                            <ww:else><font color="darkred"><b><ww:text name="'admin.common.words.inactive'"/></b></font></ww:else>
                        </td>
                    </ww:else>
                    <td valign=top nowrap align="left">
                        <a id="configure_fieldscreen_<ww:property value="./name" />" rel="<ww:property value="./id" />" class="configure-fieldscreen" href="ConfigureFieldScreen.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screens.configure.tabs.and.fields'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'admin.common.words.configure'"/></a>
                        | <a id="edit_fieldscreen_<ww:property value="./name" />" rel="<ww:property value="./id" />" class="edit-fieldscreen" href="EditFieldScreen!default.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screens.edit.value'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.edit'"/></a>
                        | <a id="copy_fieldscreen_<ww:property value="./name" />" rel="<ww:property value="./id" />" class="copy-fieldscreen" href="CopyFieldScreen.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screens.copy.value'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.copy'"/></a>
                        <ww:if test="/deletable(.) == true">
                            | <a id="delete_fieldscreen_<ww:property value="./name" />" rel="<ww:property value="./id" />" class="delete-fieldscreen" href="DeleteFieldScreen.jspa?id=<ww:property value="./id" />" title="<ww:text name="'admin.issuefields.screens.delete.value'">
                                <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                            </ww:text>"><ww:text name="'common.words.delete'"/></a>
                        </ww:if>
                    </td>
            </tr>
            </ww:iterator>
        </ww:if>
        <ww:else>
            <tr><td colspan="5" bgcolor="#ffffff"><ww:text name="'admin.issuefields.screens.no.screens.configured'"/></td></tr>
        </ww:else>
    </table>
</p>
<p>
<page:applyDecorator name="jiraform">
    <page:param name="action">AddFieldScreen.jspa</page:param>
    <page:param name="submitId">add_submit</page:param>
    <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
    <page:param name="title"><ww:text name="'admin.issuefields.screens.add.screen'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <ww:text name="'admin.issuefields.screens.add.screen.instruction'">
            <ww:param name="'value0'"><b><ww:text name="'common.forms.add'"/></b></ww:param>
        </ww:text>
    </page:param>

    <ui:textfield label="text('common.words.name')" name="'fieldScreenName'" size="'30'">
        <ui:param name="'mandatory'">true</ui:param>
    </ui:textfield>

    <ui:textfield label="text('common.words.description')" name="'fieldScreenDescription'" size="'60'" />
</page:applyDecorator>
</p>
</body>
</html>
