
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.issuesecurity.delete.issue.security.scheme'"/></title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
        <ww:if test="projects(scheme)/size > 0" >
            <page:applyDecorator name="jiraform">
                <page:param name="action">ViewIssueSecuritySchemes.jspa</page:param>
                <page:param name="submitId">cancel_submit</page:param>
                <page:param name="submitName"><ww:text name="'common.forms.cancel'"/></page:param>
                <page:param name="autoSelectFirst">false</page:param>
                <page:param name="title"><ww:text name="'admin.schemes.issuesecurity.delete.issue.security.scheme'"/></page:param>
                <page:param name="width">100%</page:param>
                <page:param name="description">
                    <p><font color=#cc0000><ww:text name="'admin.schemes.issuesecurity.error.scheme.associated.with.projects'"/>
                    <ww:iterator value="projects(scheme)" status="'liststatus'">
                        <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />">
                    <ww:property value="string('name')" /></a><ww:if test="@liststatus/last == false">, </ww:if><ww:else>.</ww:else>
                    </ww:iterator><br> <br>
                    <ww:text name="'admin.schemes.issuesecurity.cannot.delete.scheme'"/></font></p>
                </page:param>
            </page:applyDecorator>
        </ww:if>
        <ww:else>
            <page:applyDecorator name="jiraform">
                <page:param name="action">DeleteIssueSecurityScheme.jspa</page:param>
                <page:param name="submitId">delete_submit</page:param>
                <page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
                <page:param name="cancelURI">ViewIssueSecuritySchemes.jspa</page:param>
                <page:param name="title"><ww:text name="'admin.schemes.issuesecurity.delete.issue.security.scheme'"/></page:param>
                <page:param name="width">100%</page:param>
                <page:param name="autoSelectFirst">false</page:param>
                <page:param name="description">
                <input type="hidden" name="schemeId" value="<ww:property value="schemeId" />">
                <input type="hidden" name="confirmed" value="true">
                <ww:if test="errorMessages/size == 0" >
                    <ww:text name="'admin.schemes.issuesecurity.are.you.sure'"/><br>
                    <p>
                    <ww:text name="'admin.common.words.scheme'"/>: <ww:property value="name" /><p>
                    <ww:if test="description" >
                        <ww:text name="'common.words.description'"/>: "<ww:property value="description" />"
                    </ww:if>
                    <p>
                </ww:if>
                </page:param>
            </page:applyDecorator>
        </ww:else>
    </table>
    </p>

</body>
</html>
