
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.mailservers.mail.servers'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.mailservers.smtp.mail.servers'"/></page:param>
    <page:param name="width">100%</page:param>
    <p><ww:text name="'admin.mailservers.the.table.below.smtp'"/></p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.common.words.details'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="smtpMailServers" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top>
                <b><ww:property value="name"/></b>

                <ww:if test="description">
                    <br>
                    <font size=1><ww:property value="description"/></font>
                </ww:if>
            </td>
            <td valign=top>
                <b><ww:text name="'admin.mailservers.from'"/></b>: <ww:property value="defaultFrom" /><br>
                <b><ww:text name="'admin.mailservers.prefix'"/></b>: <ww:property value="prefix" /><br>

                <ww:if test="sessionServer == true">
                    <b><ww:text name="'admin.mailservers.jndi.location'"/></b>: <ww:property value="jndiLocation" /><br>
                </ww:if>
                <ww:else>
                    <b><ww:text name="'admin.mailservers.host'"/></b>: <ww:property value="hostname" /><br>
                    <ww:if test="smtpPort">
                        <b><ww:text name="'admin.mailservers.smtp.port'"/></b>: <ww:property value="smtpPort" /><br>
                    </ww:if>
                    <ww:if test="username">
                        <b><ww:text name="'common.words.username'"/></b>: <ww:property value="username" /><br>
                    </ww:if>
                </ww:else>
            </td>
            <td valign=top align=left>
                <a href="UpdateSmtpMailServer!default.jspa?id=<ww:property value="id"/>"><ww:text name="'common.words.edit'"/></a>
                | <a id="deleteSMTP" href="DeleteMailServer!default.jspa?id=<ww:property value="id"/>"><ww:text name="'common.words.delete'"/></a>
                | <a href="SendTestMail!default.jspa"><ww:text name="'admin.mailservers.send.a.test.email'"/></a>
            </td>
        </tr>
        </ww:iterator>
        <ww:if test="smtpMailServers/size == 0">
            <tr>
                <td colspan=3 bgcolor=#ffffff>
                    <ww:text name="'admin.mailservers.no.smtp.servers.configured'"/>
                </td>
            </tr>
        </ww:if>
    </table>
    </td></tr></table>

</p>
<ww:if test="smtpMailServers/size == 0">
<p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddSmtpMailServer!default.jspa"><ww:text name="'admin.mailservers.configure.new.smtp.mail.server'"/></a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
</p>
</ww:if>

&nbsp;<br>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.mailservers.pop.imap.servers'"/></page:param>
    <page:param name="width">100%</page:param>

    <p><ww:text name="'admin.mailservers.the.table.below.pop'"/></p>
    <ww:if test="/validMailParameters == false && popMailServers/empty == false">
        <%@include file="/includes/admin/email/badmailprops.jsp"%>
    </ww:if>
</page:applyDecorator>

<p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.common.words.details'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="popMailServers" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top>
                <b><ww:property value="name"/></b>

                <ww:if test="description">
                    <br>
                    <font size=1><ww:property value="description"/></font>
                </ww:if>
            </td>
            <td valign=top>
                <b><ww:text name="'admin.mailservers.host'"/></b>: <ww:property value="hostname" /><br>
                <b><ww:text name="'common.words.username'"/></b>: <ww:property value="username" /><br>
            </td>
            <td valign=top align=left>
                <a href="UpdatePopMailServer!default.jspa?id=<ww:property value="id"/>"><ww:text name="'common.words.edit'"/></a>
                | <a id="deletePOP" href="DeleteMailServer!default.jspa?id=<ww:property value="id"/>"><ww:text name="'common.words.delete'"/></a>
            </td>
        </tr>
        </ww:iterator>
        <ww:if test="popMailServers/size == 0">
            <tr>
                <td colspan=3 bgcolor=#ffffff>
                    <ww:text name="'admin.mailservers.no.pop.imap.servers.configured'"/>
                </td>
            </tr>
        </ww:if>
    </table>
    </td></tr></table>

</p>

<p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddPopMailServer!default.jspa"><ww:text name="'admin.mailservers.configure.new.pop.imap.mail.server'"/></a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
</p>

</body>
</html>
