<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.issuecaching.cache.configuration'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuecaching.cache.configuration'"/></page:param>
    <page:param name="width">100%</page:param>

    <ww:text name="'admin.issuecaching.description'"/>
    <p>
    <ww:text name="'admin.issuecaching.instruction'"/>
    <p>
    <ww:text name="'admin.issuecaching.instruction2'"/>
</page:applyDecorator>

<p>
<table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=95%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=#f0f0f0><b><ww:text name="'admin.issuecaching.current.cache.size'"/></b></td>
		<td valign=top width=30%><ww:property value="size"/></td>
		<td valign=top width=30%><a href="<%= request.getContextPath() %>/secure/admin/jira/FlushIssueCache.jspa"><ww:text name="'admin.issuecaching.flush.cache'"/></a></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=#f0f0f0><b><ww:text name="'admin.issuecaching.cache.capacity'"/></b></td>
		<td valign=top width=40%><ww:property value="capacity"/></td>
		<td valign=top width=30%><a href="<%= request.getContextPath() %>/secure/admin/jira/ChooseCacheCapacity.jspa"><ww:text name="'admin.issuecaching.set.capacity'"/></a></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=#f0f0f0><b><ww:text name="'admin.issuecaching.hits.count'"/></b></td>
		<td valign=top width=30%><ww:property value="hitsCount"/></td>
		<td valign=top width=30%><a href="<%= request.getContextPath() %>/secure/admin/jira/ResetCacheStats.jspa"><ww:text name="'admin.issuecaching.reset.stats'"/></a></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=#f0f0f0><b><ww:text name="'admin.issuecaching.miss.count'"/></b></td>
		<td valign=top width=30%><ww:property value="missCount"/></td>
		<td valign=top width=30%>&nbsp;</td>
	</tr>

</table>
</td></tr></table>
</p>

</body>
</html>
