<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.projects.create.a.new.component'"/></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title"><ww:text name="'admin.projects.add.a.component'"/></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description"><ww:text name="'admin.projects.component.page.description'">
	    <ww:param name="'value0'"><a href="ViewProject.jspa?pid=<ww:property value="pid" />"><ww:property value="project/string('name')" /></a></ww:param>
	</ww:text></page:param>
	<page:param name="action">AddComponent.jspa</page:param>
	<page:param name="submitId">add_submit</page:param>
	<page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
	<page:param name="cancelURI"><ww:url page="ViewProject.jspa"><ww:param name="'pid'" value="pid" /></ww:url></page:param>

	<ui:component label="text('common.concepts.project')" name="'project/string('name')'" template="textlabel.jsp" />
	<ui:textfield label="text('common.words.name')" name="'name'">
        <ui:param name="'mandatory'" value="'true'" />
    </ui:textfield>
	<ui:textarea label="text('common.words.description')" name="'description'" rows="5" />
    <ww:if test="enterprise == true">
        <ui:component label="text('admin.projects.component.lead')" name="'componentLead'" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'size'">20</ui:param>
            <ui:param name="'description'"><ww:text name="'admin.projects.component.lead.description'"/></ui:param>
        </ui:component>
    </ww:if>
	<ui:component name="'pid'" template="hidden.jsp" />
</page:applyDecorator>
</body>
</html>
