<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="ww" %>

<html>
<head>
	<title><ww:text name="'admin.manageversions.manage.versions'"/></title>
</head>

<body>
<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.manageversions.manage.versions'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">version_management</page:param>
    <page:param name="instructions"><p><ww:text name="'admin.manageversions.page.description'">
        <ww:param name="'value0'"><a href="ViewProject.jspa?pid=<ww:property value="pid" />"><b><ww:property value="/projectManager/project(pid)/string('name')"/></b></a></ww:param>
    </ww:text></p>
    <p><ww:text name="'admin.manageversions.order.of.version.list'"/></p>
</page:param>

<%@ include file="/includes/versions/versionadd.jsp" %>
<ww:property value="project">
<table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%">
    <ww:if test="versionsReversed/size == 0">
            <tr><td bgcolor="#ffffff" valign="top">
                    <ww:text name="'admin.manageversions.no.versions'"/>
            </td></tr>
    </ww:if>
    <ww:else>
    <tr bgcolor="#ffffff"><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100% class="gridBox" id="versions_table">
            <tr width="100%" bgcolor="#f0f0f0">
            <td align="absmiddle" class="colHeaderLink" width="50%" >
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td align="absmiddle" class="colHeaderLink" width="50%">
                <b><ww:text name="'common.words.description'"/></b>
            </td>
            <td align="absmiddle" class="colHeaderLink" width="1%" nowrap>
                <b><ww:text name="'version.releasedate'"/></b>
            </td>
            <ww:if test="versionManager/versions(.)/size > 1">
            <td align="absmiddle" class="colHeaderLink" width="1%" nowrap>
                <b><ww:text name="'admin.manageversions.schedule'"/></b>
            </td>
            </ww:if>
            <td align="absmiddle" class="colHeaderLink" width="1%" >
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
            </tr>
			<ww:property value="/versionsReversed">
            <%/*counter used to alternate background row colors*/%>
            <ww:bean name="'webwork.util.Counter'" id="rowCount">
                <ww:param name="'wrap'" value="true"/>
                <ww:param name="'last'" value="2"/>
            </ww:bean>

            <ww:iterator value="." status="'status'">

            <tr
                <ww:if test="@rowCount/next == 1">
                    bgcolor="#ffffff"
                </ww:if>
                <ww:if test = "@rowCount/next == 0"/>
                <ww:if test = "@rowCount/next == 2">
                    bgcolor="#fffff0"
                </ww:if>
            >
            <td align="left" >
                <%@ include file="/includes/versions/versionstatus_size24.jsp" %>
                <b><%@ include file="/includes/versions/versionname.jsp" %></b>
            </td>
            <td align="left">
                <%@ include file="/includes/versions/versiondescription.jsp" %>
            </td>
            <td align="absmiddle" nowrap>
                <%@ include file="/includes/versions/versionreleasedate.jsp" %>
            </td>
            <ww:if test="/versionsReversed/size > 1">
            <td nowrap>
                <ww:if test="@status/first != true">
                <a id="movefirst_<ww:property value="id" />" href="<ww:url page="VersionFirst.jspa"><ww:param name="'versionId'" value="id" /><ww:param name="'pid'" value="project/long('id')"/></ww:url>"><img src="<%= request.getContextPath() %>/images/icons/arrow_first.gif" border="0" width="16" height="16" title="<ww:text name="'admin.manageversions.move.first'"/>"></a>
                <a id="moveup_<ww:property value="id" />" href="<ww:url page="VersionUp.jspa"><ww:param name="'versionId'" value="id" /><ww:param name="'pid'" value="project/long('id')"/></ww:url>"><img src="<%= request.getContextPath() %>/images/icons/arrow_up_blue.gif" border="0" width="16" height="16" title="<ww:text name="'admin.manageversions.move.up'"/>"></a></ww:if>
                <ww:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border="0" width="13" height="14"><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border="0" width="20" height="16"></ww:else>
                <ww:if test="@status/last != true">
                <a id="movedown_<ww:property value="id" />" href="<ww:url page="VersionDown.jspa"><ww:param name="'versionId'" value="id" /><ww:param name="'pid'" value="project/long('id')"/></ww:url>"><img src="<%= request.getContextPath() %>/images/icons/arrow_down_blue.gif" border="0" width="16" height="16" title="<ww:text name="'admin.manageversions.move.down'"/>"></a>
                <a id="movelast_<ww:property value="id" />" href="<ww:url page="VersionLast.jspa"><ww:param name="'versionId'" value="id" /><ww:param name="'pid'" value="project/long('id')"/></ww:url>"><img src="<%= request.getContextPath() %>/images/icons/arrow_last.gif" border="0" width="16" height="16" title="<ww:text name="'admin.manageversions.move.last'"/>"></a></ww:if>
                <ww:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border="0" width="13" height="14"><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border="0" width="20" height="16"></ww:else>
            </td>
            </ww:if>
            <td nowrap width="1%">
                <%@ include file="/includes/versions/versionoperations.jsp" %>
            </td>
            </tr>
			</ww:iterator>
			</ww:property>
            </table>
            </td></tr>
            </ww:else>
            </table>
</ww:property>

</page:applyDecorator>

</body>
</html>



