
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.manageversions.merge.versions'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.manageversions.merge.versions'"/></page:param>
	<page:param name="description">
		<p><ww:text name="'admin.manageversions.merge.confirmation'"/></p>
		<p><font color=#cc0000><ww:text name="'admin.manageversions.merge.warning'"/></font></p>
	</page:param>
    <page:param name="autoSelectFirst">false</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">Merge.jspa</page:param>
	<page:param name="submitId">merge_submit</page:param>
	<page:param name="submitName"><ww:text name="'admin.manageversions.merge'"/></page:param>
	<page:param name="cancelURI"><ww:url page="ManageVersions.jspa"><ww:param name="'pid'" value="pid" /></ww:url></page:param>

	<tr>
		<td bgcolor=#fffff0 align=center>
			<b><ww:text name="'admin.manageversions.merging.from.versions'"/></b>
		</td>

		<td bgcolor=#fffff0 align=center>
			<b><ww:text name="'admin.manageversions.merge.to.version'"/></b>
		</td>
	</tr>

    <tr>
        <td bgcolor=#fffff0 align=center>
            <ww:iterator value="versionsToMerge">
                <li><ww:property value="name" />
            </ww:iterator>
        </td>
        <td bgcolor=#fffff0 align=center>
            <li><ww:property value="versionMergeTo/name" />
        </td>
    </tr>

    <ww:iterator value="idsToMerge">
        <ui:component name="'idsToMerge'" value="." template="hidden.jsp" />
    </ww:iterator>

    <ui:component name="'idMergeTo'" template="hidden.jsp" />
	<ui:component name="'pid'" template="hidden.jsp" />

	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>
