<%@ page import="com.atlassian.jira.web.util.ExternalLinkUtilImpl" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager" %>
<%@ taglib prefix="ww" uri="webwork" %>
<%
    // Plugins 2.5 allows us to perform context-based resource inclusion. This defines the context "atl.dashboard"
    final WebResourceManager wrm = ComponentManager.getInstance().getWebResourceManager();
    wrm.requireResourcesForContext("atl.dashboard");
    wrm.requireResourcesForContext("jira.dashboard");
%>

<html>
<head>
    <content tag="section">home_link</content>
    <script type="text/javascript">
        AJS.$(document).ready(function() {
            AJS.warnAboutFirebug(AJS.params.firebugWarning);
        });
    </script>
</head>
    <body>
        <fieldset class="hidden parameters">
            <input type="hidden" id="firebugWarning" value="<ww:text name="'firebug.performance.warning'">
            <ww:param name="'value0'"><a href='<%=ExternalLinkUtilImpl.getInstance().getProperty("external.link.jira.firebug.warning")%>'></ww:param>
            <ww:param name="'value1'"></a></ww:param>
            </ww:text>">
        </fieldset>
        <ww:if test="/warningMessage != null && /warningMessage/length != 0">
            <div id="dashmsg" class="notify info">
                <ww:property value="/warningMessage" escape="false"/>
            </div>
        </ww:if>
        <div class="dashboard-contents">
            <ww:property value="/dashboardHtml" escape="false"/>
        </div>
    </body>
</html>
