<%@ page import="com.atlassian.jira.util.JiraUtils"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<div id="main-content">
    <div class="active-area">
        <h2><ww:text name="'generic.notloggedin.title'"/></h2>
        <ww:if test="hasErrorMessages == 'true'">
                <ww:iterator value="flushedErrorMessages">
                    <p class="notify error"><ww:property /></p>
                </ww:iterator>
        </ww:if>
        <ww:if test="remoteUser == null">
            <p>
                <ww:text name="'generic.notloggedin.msg'"/>
            </p>

            <p>
            <ww:text name="'generic.notloggedin.try.login'">
                <ww:param name="'value0'"><jira:loginlink><ww:text name="'common.words.login'"/></jira:loginlink></ww:param>
                <ww:param name="'value1'"></ww:param>
            </ww:text>
            <ww:if test="extUserManagement != true">
                <% if (JiraUtils.isPublicMode()) { %>
                    <ww:text name="'noprojects.signup'">
                        <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Signup!default.jspa"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                    </ww:text>
                <% } %>
            </ww:if>
            </p>
        </ww:if>
        <ww:else>
            <p><ww:text name="'generic.notloggedin.no.permission'"/></p>
        </ww:else>
    </div>
</div>
