(function ($)
{

    $.namespace('jira.app.attachments.screenshot');
    var screenshot = jira.app.attachments.screenshot;

    screenshot.openWindow = function(url) {
        // hide any dialogs & dropdowns
        if (AJS.FlexiPopup.current) {
            AJS.FlexiPopup.current.hide();
        }
        if (AJS.InlineLayer.current) {
            AJS.InlineLayer.current.hide();
        }
        window.open(url, "screenshot", "width=800,height=700,scrollbars=yes,status=yes");
        return false;
    };

    screenshot.ScreenshotWindow = function(options)
    {
        AJS.$(options.trigger).live("click", function(e) {
            e.preventDefault();
            screenshot.openWindow(AJS.$(this).attr("href"));
        });
    }

})(AJS.$);