jQuery(document).ready(function(){
    var opts ={
        customInit : function(){
            var favouriteHandler = function() {
                jira.widget.favourite.Picker.init(AJS.$(".active-area"));
            };

            var searchHandler = function() {
                var ajaxRequest = function(url){
                    AJS.$.ajax({
                        method: "get",
                        dataType: "html",
                        url: url + "&decorator=none&contentOnly=true&Search=Search",
                        success: function(result){
                            AJS.$(".active-area").html(result);
                            favouriteHandler();
                            searchHandler();
                            AJS.$("#pp_browse tr:first a, .filterPaging a").click(function(e){
                                ajaxRequest(AJS.$(this).attr("href"));
                                e.preventDefault();
                                e.stopPropagation();
                            });
                        }
                    });
                };
                jira.widget.autocomplete.Users.init(AJS.$("form#pageSearchForm"));
                AJS.$("form#pageSearchForm").submit(function(){
                    ajaxRequest(contextPath + "/secure/ConfigurePortalPages!default.jspa?" + AJS.$(this).serialize());
                    return false;
                });
            };

            var dialogInitializer = function() {
                new AJS.FormPopup({
                        trigger: ".active-area a.delete_dash"
                });
            };

            jira.app.manageShared.navigationTabs.addLoadEvent("my-dash-tab", favouriteHandler);
            jira.app.manageShared.navigationTabs.addLoadEvent("favourite-dash-tab", favouriteHandler);
            jira.app.manageShared.navigationTabs.addLoadEvent("popular-dash-tab", favouriteHandler);
            jira.app.manageShared.navigationTabs.addLoadEvent("search-dash-tab", favouriteHandler);
            jira.app.manageShared.navigationTabs.addLoadEvent("search-dash-tab", searchHandler);

            jira.app.manageShared.navigationTabs.addLoadEvent("my-dash-tab", dialogInitializer);
            jira.app.manageShared.navigationTabs.addLoadEvent("favourite-dash-tab", dialogInitializer);

            dialogInitializer();
            searchHandler();


            AJS.$(document).delegate(".active-area .dash-reorder a", "click", function(e){
                e.preventDefault();
                var $this = AJS.$(this);
                
                AJS.$.ajax({
                    method: "get",
                    dataType: "html",
                    url: $this.attr("href") + "&decorator=none&contentOnly=true",
                    success: function(result){
                        AJS.$(".active-area").html(result);
                        favouriteHandler();
                        recolourSimpleTableRows($this.closest('table').attr('id'));
                    }
                });

            });
        },
        getTabRegEx: /view=.*/,
        checkQualifiedUrlRegEx: /\?(?=view=)/
    };
    jira.app.manageShared.navigationTabs.init(opts);
}); // I need to be first


