<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.edituserproperties.edit.properties'"/></title>
</head>
<body>

<page:applyDecorator name="jirapanel">
<page:param name="action">EditUserProperties.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.edituserproperties.edit.properties'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description"> </page:param>
    <page:param name="title"><ww:text name="'admin.edituserproperties.edit.properties'"/>: <ww:property value="/user/fullName" /></page:param>

    <p><ww:text name="'admin.edituserproperties.page.description'">
        <ww:param name="'value0'"><b><ww:property value="/user/fullName"/></b></ww:param>
    </ww:text></p>
    <p><ww:text name="'admin.edituserproperties.available.properties.description'"/></p>

    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <b><a id="view_user" href="<ww:url page="ViewUser.jspa"><ww:param name="'name'" value="name"/></ww:url>"><ww:text name="'admin.userbrowser.view.user'"/></a></b>
    </p>

</page:applyDecorator>

<p>
<ww:if test="userProperties != null && userProperties/size > 0">
    <table class="grid" width=70% align=center>
        <tr bgcolor="#f0f0f0">
            <th width="40%">
                <ww:text name="'common.words.key'"/>
            </th>
            <th width="40%">
                <ww:text name="'common.words.value'"/>
            </th>
            <th>
                <ww:text name="'common.words.operations'"/>
            </th>
        </tr>
        <ww:iterator value="userProperties">
        <tr>
            <td bgcolor="#ffffff"><ww:property value="key" /></td>
            <td><ww:property value="value" /> </td>
            <td>
                <a href="<ww:url page="EditUserProperty.jspa"><ww:param name="'name'" value="user/name" /><ww:param name="'key'" value="key" /></ww:url>">Edit</a> |
                <a href="<ww:url page="DeleteUserProperty!default.jspa"><ww:param name="'name'" value="user/name" /><ww:param name="'key'" value="key"/></ww:url>" id="delete_<ww:property value="key"/>">Delete</a>
            </td>
        </tr>
        </ww:iterator>
    </table>
</ww:if>
<ww:else>
    <table class="grid" align="center" width="90%">
        <tr>
            <td>
                <ww:text name="'admin.edituserproperties.user.has.no.properties'">
                    <ww:param name="'value0'"><b><ww:property value="/user/fullName"/></b></ww:param>
                </ww:text>
            </td>
        </tr>
    </table>
</ww:else>
</p>

<p>
<page:applyDecorator name="jiraform">
    <page:param name="action">EditUserProperties!add.jspa</page:param>
    <page:param name="submitId">submit_add</page:param>
    <page:param name="submitName"> <ww:text name="'common.forms.add'"/> </page:param>
    <page:param name="title"><ww:text name="'admin.edituserproperties.add.property'"/></page:param>
    <page:param name="description"><ww:text name="'admin.edituserproperties.example'"/></page:param>
    <page:param name="width">90%</page:param>

    <ui:textfield label="text('common.words.key')" name="'key'" size="20" />

    <ui:textfield label="text('common.words.value')" name="'value'" size="20" />

    <ui:component name="'name'" template="hidden.jsp" theme="'single'" />

</page:applyDecorator>
</p>

</body>
</html>
