<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.issuefields.fieldconfigurations.renderer.edit.confirmation'"/></title>
</head>

<body>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditFieldLayoutItemRenderer.jspa</page:param>
        <page:param name="submitId">update_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.update'"/></page:param>
    	<page:param name="cancelURI"><ww:property value="/cancelUrl"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigurations.renderer.edit.confirmation2'">
            <ww:param name="'value0'"><ww:text name="/fieldName"/></ww:param>
        </ww:text></page:param>
        <page:param name="description">
            <p><ww:text name="'admin.issuefields.fieldconfigurations.renderer.description'"/></p>
            <p><ww:text name="'admin.issuefields.fieldconfigurations.renderer.edit.confirmation.question'">
                <ww:param name="'value0'"><u><ww:property value="/fieldName" /></u></ww:param>
                <ww:param name="'value1'"><u><ww:property value="/rendererDisplayName(/selectedRendererType)" /></u></ww:param>
            </ww:text><br></p>
        </page:param>
        <page:param name="width">100%</page:param>
    	<ui:component name="'rendererEdit'" template="hidden.jsp" />
    	<ui:component name="'selectedRendererType'" template="hidden.jsp" />
        <ui:component name="'id'" template="hidden.jsp" />
        <input type="hidden" name="confirmed" value="true">
    </page:applyDecorator>
</body>

</html>
