<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.itss.configure.issue.type.screen.scheme'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.itss.configure.issue.type.screen.scheme'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">issuetype_screenschemes</page:param>
    <p>
        <ww:text name="'admin.itss.configure.page.desc'">
            <ww:param name="'value0'"><b><ww:property value="/issueTypeScreenScheme/name" /></b></ww:param>
        </ww:text>
    </p>
    <p>
        <ww:text name="'admin.itss.configure.instruction'">
            <ww:param name="'value0'"><a href="ViewFieldScreens.jspa"></ww:param>
            <ww:param name="'value1'"></a></ww:param>
        </ww:text>
    </p>
    <p>
        <ww:text name="'admin.itss.configure.instruction2'"/>
    </p>
    <ul class="square">
        <li><ww:text name="'admin.itss.configure.view.all.itss'">
            <ww:param name="'value0'"><b><a id="view_issuetypescreenschemes" href="ViewIssueTypeScreenSchemes.jspa"></ww:param>
            <ww:param name="'value1'"></a></b></ww:param>
        </ww:text></li>
    </ul>
</page:applyDecorator>
<p>
    <table class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'gadget.filterstats.field.statistictype.issuetype'"/></b>
            </td>
            <td class="colHeaderLink" width="65%">
                <b><ww:text name="'admin.projects.screen.scheme'"/></b>
            </td>
            <td class="colHeaderLink" width="15%" align="center">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:if test="/issueTypeScreenSchemeEntities/empty == false">
            <ww:iterator value="/issueTypeScreenSchemeEntities" status="'status'">
            <ww:if test="/shouldDisplay(.) == true">
            <tr class="<ww:if test="@status/odd == true">rowNormal</ww:if><ww:else>rowAlternate</ww:else>">
                    <td valign=top>
                        <ww:if test="./issueType">
                            <ww:property value="./issueTypeObject">
                                <ww:component name="'issuetype'" template="constanticon.jsp">
                                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                                    <ww:param name="'iconurl'" value="./iconUrl" />
                                    <ww:param name="'alt'"><ww:property value="./nameTranslation" /></ww:param>
                                    <ww:param name="'title'"><ww:property value="./nameTranslation" /> - <ww:property value="./descTranslation" /></ww:param>
                                </ww:component>
                                <ww:property value="./nameTranslation" />
                            </ww:property>
                        </ww:if>
                        <ww:else>
                            <i><ww:text name="'admin.common.words.default'"/></i><br>
                            <span class="small"><ww:text name="'admin.itss.configure.used.for.all.unmapped.issue.types'"/></span>
                        </ww:else>
                    </td>
                    <td valign=top>
                        <ww:property value="./fieldScreenScheme">
                            <a id="configure_fieldscreenscheme" href="ConfigureFieldScreenScheme.jspa?id=<ww:property value="./id" />"><ww:property value="./name" /></a>
                        </ww:property>
                    </td>
                    <td valign=top nowrap align="left">
                        <ww:if test="./issueType == null">
                            <a id="edit_issuetypescreenschemeentity_default" href="EditIssueTypeScreenSchemeEntity.jspa?id=<ww:property value="/id" />" title="<ww:text name="'admin.issuefields.fieldconfigschemes.edit.default.mapping'"/>"><ww:text name="'common.words.edit'"/></a>
                        </ww:if>
                        <ww:else>
                            <a id="edit_issuetypescreenschemeentity_<ww:property value="./issueType/string('name')" />" href="EditIssueTypeScreenSchemeEntity.jspa?id=<ww:property value="/id" />&issueTypeId=<ww:property value="./issueType/string('id')" />" title="<ww:text name="'admin.issuefields.fieldconfigschemes.edit.entry'"/>"><ww:text name="'common.words.edit'"/></a>
                            | <a id="delete_issuetypescreenschemeentity_<ww:property value="./issueType/string('name')" />" href="DeleteIssueTypeScreenSchemeEntity.jspa?id=<ww:property value="/id" />&issueTypeId=<ww:property value="./issueType/string('id')" />" title="<ww:text name="'admin.issuefields.fieldconfigschemes.delete.entry'"/>"><ww:text name="'common.words.delete'"/></a>
                        </ww:else>
                    </td>
            </tr>
            </ww:if>
            </ww:iterator>
        </ww:if>
        <ww:else>
            <tr><td colspan="3" bgcolor="#ffffff"><ww:text name="'admin.no.issue.mappings.alert'"/></td></tr>
        </ww:else>
    </table>
</p>
<p>
<ww:if test="/addableIssueTypes/empty == false">
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddIssueTypeScreenSchemeEntity.jspa</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.itss.configure.add.issue.type.to.screen.scheme'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <ww:text name="'admin.itss.configure.association.instruction'">
                <ww:param name="'value0'"><b></ww:param>
                <ww:param name="'value1'"><ww:text name="'common.forms.add'"/></ww:param>
                <ww:param name="'value2'"></b></ww:param>
            </ww:text>
        </page:param>

        <ui:select label="text('common.concepts.issuetype')" name="'issueTypeId'" list="/addableIssueTypes" listKey="'./genericValue/string('id')'" listValue="'./nameTranslation'" />

        <ui:select label="text('admin.menu.issuefields.screen.scheme')" name="'fieldScreenSchemeId'" list="/fieldScreenSchemes" listKey="'./id'" listValue="'./name'">
            <ui:param name="'description'"><ww:text name="'admin.itss.configure.field.configuration.to.use.for.chosen.issue.type'"/></ui:param>
        </ui:select>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"/>
    </page:applyDecorator>
</ww:if>
<ww:else>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.itss.configure.add.issue.type.to.screen.scheme'"/></page:param>
        <page:param name="width">100%</page:param>
            <p><ww:text name="'admin.itss.configure.long.instruction'">
                <ww:param name="'value0'"><ww:text name="'common.words.edit'"/></ww:param>
            </ww:text></p>
    </page:applyDecorator>
</ww:else>
</p>
</body>
</html>
