<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuesettings.statuses.view.statuses'"/></title>
</head>
<body>

<script language="JavaScript">
    function openWindow()
    {
        var vWinUsers = window.open('<%= request.getContextPath() %>/secure/popups/IconPicker.jspa?fieldType=status&formName=jiraform','IconPicker', 'status=no,resizable=yes,top=100,left=200,width=580,height=650,scrollbars=yes');
        vWinUsers.opener = self;
	    vWinUsers.focus();
    }
</script>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuesettings.statuses.view.statuses'"/></page:param>
    <page:param name="width">100%</page:param>
    <p>
    <ww:text name="'admin.issuesettings.statuses.the.table.below'"/>
    </p>
    <p>
        <ww:text name="'admin.issuesettings.statuses.all.statuses.have.one.of.two.modes'"/>
        <ul>
            <li><ww:text name="'admin.issuesettings.statuses.active'">
                <ww:param name="'value0'"><font color="darkgreen"><b><ww:text name="'admin.common.words.active'"/></b></font></ww:param>
            </ww:text>
            <li><ww:text name="'admin.issuesettings.statuses.inactive'">
                <ww:param name="'value0'"><font color="darkred"><b><ww:text name="'admin.common.words.inactive'"/></b></font></ww:param>
            </ww:text>
        </ul>
        <ww:text name="'admin.issuesettings.statuses.to.delete.a.status'"/>
    </p>
    <ww:if test="/translatable == true">
        <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <b><ww:text name="'admin.issuesettings.statuses.translate.statuses'">
            <ww:param name="'value0'"><a href="ViewTranslations!default.jspa?issueConstantType=status" id="view-translation"/></ww:param>
            <ww:param name="'value1'"></a></b></ww:param>
        </ww:text>
        </p>
    </ww:if>
</page:applyDecorator>
<p>
    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.issuesettings.statuses.status.details'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.issuesettings.statuses.mode'"/></b>
            </td>
            <ww:if test="professionalFeatureEnabled == true">
            <td class="colHeaderLink">
                <b><ww:text name="'admin.issuesettings.statuses.workflows'"/></b>
            </td>
            </ww:if>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="/constantsManager/statuses" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
             <td valign=top>
                <ww:component name="'status'" template="constanticon.jsp">
                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                    <ww:param name="'iconurl'" value="./string('iconurl')" />
                    <ww:param name="'alt'"><ww:property value="./string('name')" /></ww:param>
                </ww:component>

                <b><span style="vertical-align:middle;"><ww:property value="string('name')"/></span></b>

                <ww:if test="string('description')/length > 1">
                    <br>
                    <ww:property value="string('description')"/>
                </ww:if>

            </td>

            <!-- Mode column - is staus active? -->
            <td nowrap>
                <ww:if test="/associatedWorkflows(.)/empty == false">
                    <span class="green-highlight"><ww:text name="'admin.common.words.active'"/></span>
                </ww:if>
                <ww:else>
                    <span class="red-highlight"><ww:text name="'admin.common.words.inactive'"/></span>
                </ww:else>
            </td>

            <!-- Workflows column - display associated workflows -->
            <ww:if test="professionalFeatureEnabled == true">
            <td nowrap>
                <ww:if test="/associatedWorkflows(.)/empty == false">
                    <%--<ww:iterator value="associatedWorkflows(.)" status="'iteratorStatus'">
                        <a href="ViewWorkflowSteps.jspa?workflowName=<ww:property value="." />">
                            <ww:property value="."/></a><ww:if test="@iteratorStatus/last == false">, </ww:if>
                    </ww:iterator>--%>
                    <ww:iterator value="associatedWorkflows(.)" status="'iteratorStatus'">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                        <a href="<ww:url page="ViewWorkflowSteps.jspa"><ww:param name="'workflowMode'" value="'live'" /><ww:param name="'workflowName'" value="." /></ww:url>">
                            <ww:property value="."/></a>
                        <br>
                    </ww:iterator>
                </ww:if>
            </td>
            </ww:if>

            <td nowrap>
                <a href="EditStatus!default.jspa?id=<ww:property value="string('id')"/>"><ww:text name="'common.words.edit'"/></a>
                <ww:if test="/associatedWorkflows(.)/empty == true">
                | <a id="del_<ww:property value="string('id')"/>"href="DeleteStatus!default.jspa?id=<ww:property value="string('id')"/>"><ww:text name="'common.words.delete'"/></a>
                </ww:if>
            </td>
        </tr>
        </ww:iterator>
    </table>
    </td></tr></table>

    <ww:if test="professionalFeatureEnabled == true">
        <p>
        <page:applyDecorator name="jiraform">
            <page:param name="action">AddStatus.jspa</page:param>
            <page:param name="submitId">add_submit</page:param>
            <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
            <page:param name="helpURL">statuses</page:param>
            <page:param name="title"><ww:text name="'admin.issuesettings.statuses.add.new.status'"/></page:param>
            <page:param name="width">100%</page:param>

            <ui:textfield label="text('common.words.name')" name="'name'" size="'30'" />

            <ui:textfield label="text('common.words.description')" name="'description'" size="'60'" />

        <ui:component label="text('admin.common.phrases.icon.url')" name="'iconurl'" template="textimagedisabling.jsp">
    	    <ui:param name="'imagefunction'">openWindow()</ui:param>
    	    <ui:param name="'size'">60</ui:param>
    	    <ui:param name="'mandatory'">true</ui:param>
    	    <ui:param name="'description'"><ww:text name="'admin.common.phrases.relative.to.jira'"/></ui:param>
        </ui:component>
        </page:applyDecorator>
        </p>
    </ww:if>

</body>
</html>
