<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.subtasks.manage.sub.tasks'"/></title>
</head>
<body>
<script language="JavaScript">
    function openWindow()
    {
        var vWinUsers = window.open('<%= request.getContextPath() %>/secure/popups/IconPicker.jspa?fieldType=subtasks&formName=jiraform','IconPicker', 'status=no,resizable=yes,top=100,left=200,width=580,height=650,scrollbars=yes');
        vWinUsers.opener = self;
	    vWinUsers.focus();
    }
</script>

        <page:applyDecorator name="jirapanel">
            <page:param name="width">100%</page:param>
            <page:param name="title"><ww:text name="'admin.menu.globalsettings.sub.tasks'"/></page:param>
                <ww:if test="/subTasksEnabled == true">
                    <p>
                    <ww:text name="'admin.subtasks.status'">
                        <ww:param name="'value0'"><b><font color="#009900"></ww:param>
                        <ww:param name="'value1'"><ww:text name="'admin.common.words.on'"/></ww:param>
                        <ww:param name="'value2'"></font></b></ww:param>
                    </ww:text> <ww:text name="'admin.subtasks.manage.subtasks.here'">
                        <ww:param name="'value0'"><a href="<ww:url page="/secure/admin/ViewIssueTypes.jspa" />"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                    </ww:text>
                    </p>

                    <ul class="square">
                    <li><ww:text name="'admin.subtasks.disable.sub.tasks'">
                        <ww:param name="'value0'"><a href="<ww:url page="DisableSubTasks!default.jspa"/>"></ww:param>
                        <ww:param name="'value1'"></a>
                        </ww:param>
                    </ww:text></li>
                    <br>
                    <ww:if test="/translatable == true">
                        <li><ww:text name="'admin.subtasks.translate.sub.tasks'">
                            <ww:param name="'value0'"><a id="translate_sub_tasks" href="<ww:url page="ViewTranslations!default.jspa"><ww:param name="'issueConstantType'" value="'subTask'"/></ww:url>"></ww:param>
                            <ww:param name="'value1'"></a></ww:param>
                        </ww:text></li>
                    </ww:if>
                    <li><ww:text name="'admin.subtasks.manage.sub.tasks.2'">
                        <ww:param name="'value0'"><a href="<ww:url page="/secure/admin/ViewIssueTypes.jspa" />"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                    </ww:text></li>
                    </ul>
                </ww:if>
                <ww:else>
                    <ww:text name="'admin.subtasks.status'">
                        <ww:param name="'value0'"><b><font color="#990000"></ww:param>
                        <ww:param name="'value1'"><ww:text name="'admin.common.words.off'"/></ww:param>
                        <ww:param name="'value2'"></font></b></ww:param>
                    </ww:text>
                    <br><br>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <ww:text name="'admin.subtasks.enable.sub.tasks'">
                        <ww:param name="'value0'"><a id="enable_subtasks" href="<ww:url page="EnableSubTasks.jspa"/>"><b></ww:param>
                        <ww:param name="'value1'"></b></a></ww:param>
                    </ww:text>
                </ww:else>

        </page:applyDecorator>

        <ww:if test="/subTasksIssueTypes != null && /subTasksIssueTypes/empty == false">
        <p>
            <table id="sub-task-list" align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
                <table border="0" cellpadding="3" cellspacing="1" width=100%>
                    <tr bgcolor=#f0f0f0>
                        <td class="colHeaderLink">
                            <b><ww:text name="'common.words.name'"/></b>
                        </td>
                        <td class="colHeaderLink">
                            <b><ww:text name="'common.words.description'"/></b>
                        </td>
                        <td class="colHeaderLink">
                            <b><ww:text name="'admin.common.words.icon'"/></b>
                        </td>
                        <ww:if test="/subTasksEnabled == true">
                            <td class="colHeaderLink">
                                <b><ww:text name="'admin.common.words.operation'"/></b>
                            </td>
                        </ww:if>
                    </tr>

                    <ww:property value="/subTasksIssueTypes">
                    <ww:iterator value="." status="'status'">
                    <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                        <td valign=top><b><ww:property value="string('name')"/></b><ww:if test="../default(.) == true"> (<ww:text name="'admin.common.words.default.small'"/>)</ww:if></td>
                        <td valign=top><ww:property value="string('description')"/></td>
                        <td valign=top align=center>
                        <ww:component name="'issuetype'" template="constanticon.jsp">
                          <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                          <ww:param name="'iconurl'" value="./string('iconurl')" />
                          <ww:param name="'alt'"><ww:property value="./string('name')" /></ww:param>
                        </ww:component>
                        </td>
                        <ww:if test="/subTasksEnabled == true">
                            <td valign=top nowrap>
                                <a href="<ww:url page="EditSubTaskIssueTypes!default.jspa"><ww:param name="'id'" value="string('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>

                                <%-- At least one sub-task issue type must exists - users can turn sub-tasks off if they do not want to
                                use them. Check that there is more tahn one sub-task issue type --%>
                                <ww:if test="../size > 1">
                                    |
                                    <a id="del_<ww:property value="string('name')"/>" href="<ww:url page="DeleteSubTaskIssueType!default.jspa"><ww:param name="'id'" value="string('id')"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
                                </ww:if>

                                <ww:if test="../default(.) == false">
                                |
                                <a href="<ww:url page="MakeDefaultSubTask.jspa"><ww:param name="'make'" value="string('id')" /></ww:url>"><ww:text name="'admin.common.words.default'"/></a>
                                </ww:if>
                            </td>
                        </ww:if>
                    </tr>
                    </ww:iterator>
                    </ww:property>
                </table>
            </td></tr></table>
        </p>
        </ww:if>
        <ww:if test="/subTasksEnabled == true">
            <p>
                <page:applyDecorator name="jiraform">
                    <page:param name="action">AddSubTaskIssueType.jspa</page:param>
                    <page:param name="submitId">add_submit</page:param>
                    <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
                    <page:param name="title"><ww:text name="'admin.subtasks.add.new.issue.type'"/></page:param>
                    <page:param name="width">100%</page:param>

                    <ui:textfield label="text('common.words.name')" name="'name'" size="'30'" />

                    <ui:textfield label="text('common.words.description')" name="'description'" size="'60'" />

        <ui:component label="text('admin.globalsettings.lookandfeel.logo.url')" name="'iconurl'" template="textimagedisabling.jsp">
    	    <ui:param name="'imagefunction'">openWindow()</ui:param>
    	    <ui:param name="'size'">60</ui:param>
    	    <ui:param name="'description'"><ww:text name="'admin.common.phrases.relative.to.jira'"/></ui:param>
        </ui:component>
                </page:applyDecorator>
            </p>
        </ww:if>
   </p>
</body>
</html>
