<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:if test="/enterprise == true"><ww:text name="'admin.issuefields.fieldconfigurations.view.field.configuration'"/></ww:if><ww:else><ww:text name="'admin.issuefields.view.issue.fields'"/></ww:else></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:if test="/enterprise == true"><ww:text name="'admin.issuefields.fieldconfigurations.view.field.configuration'"/></ww:if><ww:else><ww:text name="'admin.issuefields.view.issue.fields'"/></ww:else></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">issuefields</page:param>
    <p>
        <ww:if test="/enterprise == true">
            <ww:text name="'admin.issuefields.the.table.below.shows'">
                <ww:param name="'value0'"><b><ww:property value="/fieldLayout/name" /></b></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.issuefields.the.table.below.shows2'"/>
        </ww:else>
    </p>
    <p><ww:text name="'admin.issuefields.configure.page.description'"/></p>
    <ww:if test="/enterprise == true">
        <ul class="square">
            <li><ww:text name="'admin.issuefields.configure.view.all'">
                <ww:param name="'value0'"><b><a id="view_fieldlayouts" href="ViewFieldLayouts.jspa"></ww:param>
                <ww:param name="'value1'"></a></b></ww:param>
            </ww:text></li>
        </ul>
    </ww:if>
    <ww:if test ="hasDefaultFieldLayout == false">
        <ul class="square">
            <li><b><a id="restore_default" href="RestoreDefaults.jspa"><ww:text name="'admin.common.phrases.restore.defaults'"/></a></b></li>
        </ul>
    </ww:if>
</page:applyDecorator>
<p>
    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%"><tr><td>
    <table id="field_table" border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="50%">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink" width="30%" align="left">
                <b><ww:text name="'admin.issuefields.screens'"/></b>
            </td>
            <td class="colHeaderLink" width="20%" align="center">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="/orderedList" status="'status'">
        <tr bgcolor="#<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <ww:if test="./hidden == true">
                <td valign=top class="hiddenField">
                    <table cellpadding=1 cellspacing=0 border=0 width="100%">
                        <tr>
                            <td class="hiddenField">
                                <b><ww:property value="/fieldName(./orderableField)"/></b><ww:if test="/renderable(./orderableField) == true"><br><font id="renderer_value_<ww:property value="./orderableField/id"/>" color="grey" size="1"> [<ww:property value="/rendererDisplayName(./rendererType)"/>]</font></ww:if>
                            </td>
                        </tr>
                        <ww:if test="./fieldDescription != null">
                        <tr>
                            <td class="hiddenField">
                                <%-- this section just prints out if it is a custom field, and prints out the type of custom field that it is --%>
                                <font size="1"><ww:property value="./fieldDescription" escape="'false'"/></font>
                            </td>
                        </tr>
                        </ww:if>
                    </table>
                </td>
                <td valign=top align=left>
                    <ww:if test="/unscreenable(.) == true">
                        <ww:text name="'admin.issuefields.field.cannot.be.placed.on.screens'"/>
                    </ww:if>
                    <ww:if test="/fieldScreenTabs(./orderableField)/empty == false">
                        <ww:iterator value="/fieldScreenTabs(./orderableField)" status="'tabStatus'">
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                            <ww:if test="./fieldScreen/tabs/size > 1">
                                <a href="<%= request.getContextPath() %>/secure/admin/ConfigureFieldScreen.jspa?id=<ww:property value="./fieldScreen/id" />&tabPosition=<ww:property value="./position" />"><ww:property value="./fieldScreen/name" /></a> <span class="small">(<ww:property value="./name" />)</span>
                            </ww:if>
                            <ww:else>
                                <a href="<%= request.getContextPath() %>/secure/admin/ConfigureFieldScreen.jspa?id=<ww:property value="./fieldScreen/id" />"><ww:property value="./fieldScreen/name" /></a>
                            </ww:else>
                            <ww:if test="@tabStatus/last == false"><br></ww:if>
                        </ww:iterator>
                    </ww:if>
                    <ww:else>&nbsp;</ww:else>
                </td>
                <td valign=top nowrap align="left" class="hiddenField">
                    <ww:text name="'common.words.edit'"/> |
                    <a id="show_<ww:property value="@status/index"/>" href="<ww:url page="IssueFieldHide.jspa"><ww:param name="'hide'" value="@status/index" /></ww:url>" title="<ww:text name="'admin.issuefields.show.field'">
                        <ww:param name="'value0'">'<ww:property value="/fieldName(./orderableField)"/>'</ww:param>
                    </ww:text>"><ww:text name="'admin.common.words.show'"/></a>
                    <ww:if test="/mandatory(.) == false">
                      <ww:if test="/requirable(.) == true">|
                          <ww:text name="'admin.common.words.required'"/>
                      </ww:if>
                    </ww:if>
                </td>
            </ww:if>
            <ww:else>
                <td valign=top>
                    <table cellpadding=1 cellspacing=0 border=0 width="100%">
                        <tr>
                            <td width=60%>
                                <b><ww:property value="/fieldName(./orderableField)"/></b><ww:if test="/renderable(./orderableField) == true"><br><font id="renderer_value_<ww:property value="./orderableField/id"/>" color="grey" size="1"> [<ww:property value="/rendererDisplayName(./rendererType)"/>]</font></ww:if>
                            </td>
                            <td width=40% align="right" valign="bottom">
                                <ww:if test="/mandatory(.) == true || ./required == true"><font color="#990000" size="1"><ww:text name="'admin.common.words.required'"/></font></ww:if>
                            </td>
                        </tr>
                        <ww:if test="./fieldDescription != null">
                        <tr>
                            <td colspan=2>
                                <%-- this section just prints out if it is a custom field, and prints out the type of custom field that it is --%>
                                <font size="1"><ww:property value="./fieldDescription" escape="'false'"/></font>
                            </td>
                        </tr>
                        </ww:if>
                    </table>
                </td>
               <td valign=top align=left>
                   <ww:if test="/unscreenable(.) == true">
                       <ww:text name="'admin.issuefields.field.cannot.be.placed.on.screens'"/>
                   </ww:if>
                    <ww:if test="/fieldScreenTabs(./orderableField)/empty == false">
                        <ww:iterator value="/fieldScreenTabs(./orderableField)" status="'tabStatus'">
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                            <ww:if test="./fieldScreen/tabs/size > 1">
                                <a href="<%= request.getContextPath() %>/secure/admin/ConfigureFieldScreen.jspa?id=<ww:property value="./fieldScreen/id" />&tabPosition=<ww:property value="./position" />"><ww:property value="./fieldScreen/name" /></a> <span class="small">(<ww:property value="./name" />)</span>
                            </ww:if>
                            <ww:else>
                                <a href="<%= request.getContextPath() %>/secure/admin/ConfigureFieldScreen.jspa?id=<ww:property value="./fieldScreen/id" />"><ww:property value="./fieldScreen/name" /></a>
                            </ww:else>
                            <ww:if test="@tabStatus/last == false"><br></ww:if>
                        </ww:iterator>
                    </ww:if>
                    <ww:else>&nbsp;</ww:else>
                </td>
                <td valign=top nowrap align="left">
                    <a id="edit_<ww:property value="@status/index"/>" href="<ww:url page="/secure/admin/EditDefaultFieldLayoutItem!default.jspa"><ww:param name="'position'" value="@status/index"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
                    <ww:if test="/hideable(.) == true">
                        | <a id="hide_<ww:property value="@status/index"/>" href="<ww:url page="IssueFieldHide.jspa"><ww:param name="'hide'" value="@status/index" /></ww:url>" title="<ww:text name="'admin.issuefields.hide.field'">
                            <ww:param name="'value0'">'<ww:property value="/fieldName(./orderableField)"/>'</ww:param>
                        </ww:text>"><ww:text name="'admin.common.words.hide'"/></a>
                    </ww:if>
                    <ww:if test="/mandatory(.) == false">
                        <ww:if test="/requirable(.) == true">
                            | <a id="require_<ww:property value="@status/index"/>" href="<ww:url page="IssueFieldRequire.jspa"><ww:param name="'require'" value="@status/index" /></ww:url>" <ww:if test="required == false">title="<ww:text name="'admin.issuefields.make.field.required'">
                                <ww:param name="'value0'">'<ww:property value="/fieldName(./orderableField)"/>'</ww:param>
                            </ww:text>"><ww:text name="'admin.common.words.required'"/></ww:if><ww:else>title="<ww:text name="'admin.issuefields.make.field.optional'">
                                <ww:param name="'value0'">'<ww:property value="/fieldName(./orderableField)"/>'</ww:param>
                            </ww:text>"><ww:text name="'admin.common.words.optional'"/></ww:else></a>
                        </ww:if>
                    </ww:if>
                    <ww:if test="/unscreenable(.) == false">
                        | <a id="associate_<ww:property value="./orderableField/id" />" href="AssociateFieldToScreens!default.jspa?fieldId=<ww:property value="./orderableField/id"/>&returnUrl=ViewIssueFields.jspa" title="<ww:text name="'admin.issuefields.associate.to.screens'">
                                <ww:param name="'value0'">'<ww:property value="/fieldName(./orderableField)"/>'</ww:param>
                            </ww:text>"><ww:text name="'admin.issuefields.screens'"/></a>
                   </ww:if>
                   <ww:if test="/renderable(./orderableField) == true">
                        | <a id="renderer_<ww:property value="./orderableField/id"/>" href="<ww:url page="EditFieldLayoutItemRenderer!default.jspa"><ww:param name="'rendererEdit'" value="@status/index" /></ww:url>" title="<ww:text name="'admin.issuefields.choose.renderer'">
                            <ww:param name="'value0'">'<ww:property value="/fieldName(./orderableField)"/>'</ww:param>
                        </ww:text>"><ww:text name="'admin.issuefields.renderers'"/></a>
                   </ww:if>
                </td>
            </ww:else>
        </tr>
        </ww:iterator>
    </table>
    </td></tr>
    </table>
</body>
</html>
