<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.workflowtransition.add.workflow.transition'"/> <ww:property value="/descriptorName"/></title>
</head>

<body>

    <page:applyDecorator name="jiraform">
        <page:param name="action"><ww:property value="/actionName"/>.jspa</page:param>
        <%-- NOTE!!! If you are changing the submit button name also need to change the
        AbstractAddWorkflowTransitionDescriptorParams.setupWorkflowDescriptorParams() method as it expects the
        name of the button as a parameter --%>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
    	<page:param name="cancelURI"><ww:url page="ViewWorkflowTransition.jspa"><ww:param name="'workflowMode'" value="workflow/mode" /><ww:param name="'workflowName'" value="workflow/name" /><ww:param name="'workflowStep'" value="/step/id" /><ww:param name="'workflowTransition'" value="transition/id" /></ww:url></page:param>
        <page:param name="title"><ww:text name="'admin.workflowtransitions.add.something.to.transition'">
            <ww:param name="'value0'"><ww:property value="/descriptorName"/></ww:param>
        </ww:text></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="columns">1</page:param>
        <page:param name="description">
            <ww:text name="'admin.schemes.add.to.description'">
                <ww:param name="'value0'"><ww:property value="/descriptorName"/></ww:param>
            </ww:text>
        </page:param>

        <ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" />
        <ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" />
        <ui:component name="'workflowMode'" value="workflow/mode" template="hidden.jsp" />
        <ui:component name="'workflowTransition'" value="transition/id" template="hidden.jsp" />
        <ui:component name="'count'" template="hidden.jsp" />
        <ui:component name="'nested'" template="hidden.jsp" />

        <tr bgcolor=#ffffff><td>
        <p>
        <ww:if test="/workflowModuleDescriptors && /workflowModuleDescriptors/empty == false">
            <table id="descriptors_table" class="grid" width="100%">
                <tr>
                    <th>&nbsp;</th>
                    <th><ww:text name="'common.words.name'"/></th>
                    <th><ww:text name="'common.words.description'"/></th>
                </tr>
                <ww:iterator value="/workflowModuleDescriptors" status="'status'">
                    <tr bgcolor=<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>>
                        <td width="1%" valign="top">
                            <input type="radio" name="type" id="<ww:property value="completeKey"/>" value="<ww:property value="completeKey"/>"/>
                        </td>
                        <td width="20%" valign="top">
                            <label for="<ww:property value="completeKey"/>" >
                                <ww:property value="./name"/>
                            </label>
                        </td>
                        <td>
                            <ww:property value="./description"/>
                        </td>
                    </tr>
                </ww:iterator>
            </table>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.schemes.there.are.no.available.descriptors.to.add'">
                <ww:param name="'value0'"><ww:property value="/descriptorName"/></ww:param>
            </ww:text>
        </ww:else>
        </p>
        </td></tr>

    </page:applyDecorator>

</body>
</html>
