<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 2 - Bulk Operation: Choose Operation -->

<html>
<head>
	<title><ww:text name="'bulkedit.title'"/></title>
</head>
<script language="javascript">
    function cellHover(cell)
    {
        cell.oldClassName = cell.className;
        cell.className = 'rowHover';
        cell.onmouseout = function()
        {
            this.className = this.oldClassName;
        }
    }

    function selectCellRadioBox(cell)
    {
        var id = cell.id.substring(4, cell.id.length);
        document.forms['bulkedit_chooseoperation'].elements[id + '_id'].checked = true;
    }
</script>
<body>

<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr>
    <td width=200 valign=top bgcolor=#f0f0f0>
        <jsp:include page="/secure/views/bulkedit/bulkedit_leftpane.jsp" flush="false" />
    </td>
    <td valign=top>
        <table cellspacing=0 cellpadding=10 border=0 width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><ww:text name="'bulkedit.title'"/>: <ww:text name="'bulkedit.chooseoperation.title'"/></page:param>
                <page:param name="description">
                    <ww:text name="'bulkedit.step2'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                        <ww:if test="/hasAvailableOperations == true">
                                <ww:text name="'bulkedit.chooseoperation.desc'">
                                    <ww:param name="'value0'"><strong><ww:property value="/bulkEditBean/selectedIssues/size"/></strong></ww:param>
                                </ww:text><br>
                        </ww:if>
                        <ww:else>
                               <ww:text name="'bulkedit.chooseoperation.unavailable'">
                                    <ww:param name="'value0'"><strong><ww:property value="/bulkEditBean/selectedIssues/size"/></strong></ww:param>
                               </ww:text><br>
                        </ww:else>
                        </td>
                    </tr>
                </table>
            </page:applyDecorator>
            <p>
            <form name="bulkedit_chooseoperation" action="BulkChooseOperation.jspa" method="POST">
            <%@include file="bulkchooseoperation_submit_buttons.jsp"%>
            <p>
                <table bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr><td>
                   <table border="0" cellpadding="3" cellspacing="1" width="100%">
                   <ww:iterator value="bulkOperations" status="'status'">
                        <tr <ww:if test="@status/even == true">class="rowAlternate"</ww:if><ww:else>class="rowNormal"</ww:else>
                            onmouseover="cellHover(this)" onclick="selectCellRadioBox(this)" id="cell<ww:property value="./nameKey"/>">
                                <%-- if the operation is available draw the radio button --%>
                                <ww:if test="/canPerform(.) == true">
                                    <td align="center">
                                        <input type="radio" name="operation" id="<ww:property value="./nameKey"/>_id" value="<ww:property value="./nameKey"/>">
                                    </td>
                                    <td>
                                        <label for="<ww:property value="./nameKey"/>_id"><ww:text name="./nameKey"/></label>
                                    </td>
                                    <td>
                                        <label for="<ww:property value="./nameKey"/>_id"><ww:text name="./descriptionKey"/></label>
                                    </td>
                                </ww:if>
                                <ww:else>
                                    <td valign="top" bgcolor="#f0f0f0" align="center"><ww:text name="'bulkedit.constants.na'"/></td>
                                    <td  bgcolor="#f0f0f0">
                                        <ww:text name="./nameKey"/>
                                    </td>
                                    <td  bgcolor="#f0f0f0">
                                        <ww:text name="./cannotPerformMessageKey">
                                            <ww:param name="'value0'"><strong><font color="#bb0000"></ww:param>
                                            <ww:param name="'value1'"></font></strong></ww:param>
                                            <ww:param name="'value2'"><ww:property value="/bulkEditBean/selectedIssues/size"/></ww:param>
                                        </ww:text>
                                    </td>
                                </ww:else>
                        </tr>
                    </ww:iterator>
                </table>
                </td></tr></table>
                <br>
                <%@include file="bulkchooseoperation_submit_buttons.jsp"%>
                </form>
        </td></tr></table>
    </td>
</tr>
</table>
</body>
</html>
