<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.web.action.util.FieldsResourceIncluder" %>
<%
    final FieldsResourceIncluder fieldResourceIncluder = ComponentManager.getComponentInstanceOfType(FieldsResourceIncluder.class);
    fieldResourceIncluder.includeFieldResourcesForCurrentUser();
%>

<ui:component name="'subTaskPhase'" template="hidden.jsp"  />

<ww:property value="/bulkEditBean/moveFieldLayoutItems">
    <ww:if test=". != null && ./empty == false">
        <table id="editbulkmovefields" class="grid centered defaultWidth" >
            <tr>
                <th><ww:text name="'bulk.move.fieldname'" /></th>
                <th><ww:text name="'bulk.move.fieldvalue'" /></th>
                <th><ww:text name="'bulk.move.retain'" /></th>
            </tr>
            <ww:iterator value=".">
                <tr>
                    <td class="fieldLabelAreaTop">
                        <label for="cb<ww:property value="."/>" class="required">
                        *<ww:text name="./orderableField/name"/>:
                        </label>
                    </td>
                    <ww:property value="/fieldHtml(.)">
                        <ww:if test="./length > 0">
                            <ww:property value="." escape="'false'"/>
                            <td align="center" width="10%">
                                <input type="checkbox" name="retain_<ww:property value="../orderableField/id"/>" value=""
                                        <ww:if test="/bulkEditBean/retainChecked(../orderableField/id) == true || /retainMandatory(../orderableField) == true">checked</ww:if>
                                        <ww:if test="/retainMandatory(../orderableField) == true">disabled="true"</ww:if>
                                        />
                                <ww:if test="/retainMandatory(../orderableField) == true"><input type="hidden" name="retain_<ww:property value="../orderableField/id"/>" value="true"/></ww:if>
                            </td>
                        </ww:if>
                        <ww:else>
                            <td colspan="2"><div class="noteBox"><ww:text name="'bulk.move.error.message'"/></div></td>
                        </ww:else>
                    </ww:property>
                </tr>
            </ww:iterator>
        </table>
    </ww:if>
    <ww:else>
        <div class="noteBox">
            <ww:text name="'bulk.move.fields.noupdate'" />.
        </div>
    </ww:else>
</ww:property>
