<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<table class="grid centered" id="summary_table">
    <tr>
        <th><ww:text name="'bulk.migrate.overview.project'"/></th>
        <th><ww:text name="'bulk.migrate.overview.issuetype'"/></th>
        <th><ww:text name="'bulk.migrate.overview.affected'"/></th>
    </tr>
<ww:iterator value="/multiBulkMoveBean/issuesInContext" status="'status'">
<tr>
    <td>
        <ww:property value="./key/project/string('name')" /><br />
        <span class="smallGrey"><ww:property value="./key/project/string('description')" /></span>
    </td>
    <td>
        <ul class="imagebacked"><li style="background-image: url('<ww:url value="./key/issueTypeObject/iconUrl" />')"><ww:property value="./key/issueTypeObject/nameTranslation" /><br />
        <span class="smallGrey"><ww:property value="./key/issueTypeObject/descTranslation" /></span></li>
        </ul>
    </td>
    <td>
        <ww:property value="./value/size()" />
    </td>
</tr>
</ww:iterator>
</table>
