<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<%--STEP 1 - Move Sub Task: Choose Operation--%>

<html>
<head>
	<title><ww:text name="'movesubtask.title'"/></title>
</head>
<body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr>
    <td width="200" valign="top" bgcolor="#f0f0f0">
        <jsp:include page="/secure/views/issue/movetaskpane.jsp" flush="false" />
    </td>
    <td valign="top" style="padding:10px">
        <page:applyDecorator name="jiraform">
        <page:param name="title"><ww:text name="'movesubtask.title'"/>: <ww:text name="'move.chooseoperation.title'"/></page:param>
        <page:param name="description">
            <ww:text name="'move.subtask.step1.desc'">
               <ww:param name="'value0'"><ww:property value="/issue/string('key')"/></ww:param>
           </ww:text>
        </page:param>
        <page:param name="action"><ww:url page="MoveSubTaskChooseOperation.jspa"><ww:param name="'id'" value="/issue/string('id')"/></ww:url></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="name">movesubtask</page:param>
        <page:param name="cancelURI"><ww:url value="/issuePath" atltoken="false" /></page:param>
        <page:param name="submitId">next_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.next'"/> &gt;&gt;</page:param>
            <tr><td bgcolor="#ffffff" colspan="2">
                <table width="85%" align="absmiddle" class="centred" bgcolor="#bbbbbb" cellspacing="1px">
                    <ww:iterator value="moveSubTaskOperations" status="'status'">
                         <%-- if the operation is available draw the radio button --%>
                         <ww:if test="/canPerform(.) == true">
                             <tr class="<ww:if test="@status/even == true">rowAlternate</ww:if><ww:else>rowNormal</ww:else>"
                                 id="cell<ww:property value="./nameKey"/>">
                             <td align="center">
                                 <input type="radio" name="operation" id="<ww:property value="./nameKey"/>_id" value="<ww:property value="./nameKey"/>">
                             </td>
                             <td>
                                 <label for="<ww:property value="./nameKey"/>_id"><ww:text name="./nameKey"/></label>
                             </td>
                             <td>
                                 <label for="<ww:property value="./nameKey"/>_id"><ww:text name="./descriptionKey"/></label>
                             </td>
                             </tr>
                         </ww:if>
                         <ww:else>
                            <tr>
                             <td valign="top" bgcolor="#f0f0f0" align="center"><ww:text name="'bulkedit.constants.na'"/></td>
                             <td  bgcolor="#f0f0f0">
                                 <ww:text name="./nameKey"/>
                             </td>
                             <td  bgcolor="#f0f0f0">
                                 <ww:text name="/cannotPerformMessageKey(.)">
                                     <ww:param name="'value0'"><b><font color="#bb0000"></ww:param>
                                     <ww:param name="'value1'"></font></b></ww:param>
                                 </ww:text>
                             </td>
                             </tr>
                         </ww:else>
                     </ww:iterator>
                </table>
            </td></tr>
        </page:applyDecorator>
    </td>
</tr>
</table>
</body>
</html>
