<%@ page import="com.opensymphony.user.User" %>
<%@ page import="com.atlassian.seraph.auth.DefaultAuthenticator" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<%
    boolean showLogin = true;
    HttpSession httpSession = request.getSession(false);
    if (httpSession != null)
    {
        User remoteUser = (User) httpSession.getAttribute(DefaultAuthenticator.LOGGED_IN_KEY);
        showLogin = remoteUser == null;
    }
    request.setAttribute("showLogin", showLogin);
%>

<html>
<head>
	<title><ww:text name="'access.denied.title'"/></title>
</head>

<body class="lp">

<div class="module xsrf">
    <div class="mod-header">
        <h3><ww:text name="'access.denied.title'"/></h3>
    </div>
    <div class="mod-content">
        <div class="notify warn">
            <%--<span style="color:#cc0000;font-weight:bold;"><ww:text name="'access.denied.title'"/></span>--%>
            <p>
            <ww:text name="'perm.violation.desc'"/>
            </p>
            <ww:if test="@showLogin == true">
                <p>
                    <ww:text name="'login.required.desc2'">
                        <ww:param name="'value0'"><jira:loginlink><ww:text name="'login.required.login'"/></jira:loginlink></ww:param>
                    </ww:text>.
                </p>
            </ww:if>
            <p>
            <ww:text name="'contact.admin.for.perm'">
                <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
                <%--<ww:param name="'value1'"></a></ww:param>--%>
                <ww:param name="'value0'"> </ww:param>
                <ww:param name="'value1'"> </ww:param>
            </ww:text>
            </p>
        </div>
    </div>
</div>

</body>
</html>
